package com.hywa.map.common.utils;

import com.hywa.map.config.interceptor.TokenManager;
import com.hywa.map.config.interceptor.TokenModel;

import javax.servlet.http.HttpServletRequest;

import static com.hywa.map.common.ConstantPool.SPLIT;

public class IDUtils {
    /**
     * 生成随机数,用作查询码
     */
    public static long getSearchId() {
        //取当前时间的长整形值包含毫秒
        long millis = System.currentTimeMillis();
        String str=millis+"";
        long id = new Long(str.substring(0,11));
        return id;
    }

    /**
     * 获得用户id
     */
    public static String getUserId(HttpServletRequest req) {
        TokenManager tokenManager=(TokenManager)SpringContext.getBean("redisTokenManager");
        TokenModel accessToken = tokenManager.getToken(req.getHeader("accessToken"));
        return accessToken.getUserId().split(SPLIT)[1];
    }


}
