package com.hywa.map.common.utils;

import java.text.DecimalFormat;
import java.text.NumberFormat;

public class MoneyUtils {

    /**
     * 格式化金额保留2位小数，每3位增加","
     *
     * @param data 需要格式化的金额
     * @return 以逗号分隔的字符串，如1,234,344.08
     */
    public static String formatComma(double data) {
        NumberFormat nf = new DecimalFormat(",##0.00");
        return nf.format(data);
    }
}
