package com.hywa.map.common.utils;

import com.hywa.map.common.enums.CommonEnum;
import com.hywa.map.common.exception.GlobalException;
import jxl.*;
import jxl.format.Alignment;
import jxl.format.Border;
import jxl.format.BorderLineStyle;
import jxl.format.CellFormat;
import jxl.format.Colour;
import jxl.format.VerticalAlignment;
import jxl.write.*;
import jxl.write.biff.RowsExceededException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.util.CollectionUtils;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.lang.reflect.Method;
import java.text.SimpleDateFormat;
import java.util.*;

import static com.hywa.map.common.enums.CommonEnum.FILE_CONTENT_NOT_NULL;

@Slf4j
public class ReadTxtUtils {
    public String readTxtFile(String filePath) {
        StringBuffer appInfolistInput = new StringBuffer();
        try {
            String encoding = "gbk";
            File file = new File(filePath);
            if (file.isFile() && file.exists()) {
                InputStreamReader read = new InputStreamReader(
                        new FileInputStream(file), encoding);
                BufferedReader bufferedReader = new BufferedReader(read);
                String lineTxt = null;
                while ((lineTxt = bufferedReader.readLine()) != null) {
                    String [] field = lineTxt.split("\\,");
                    String sql = "insert into t_sys_position_grid(pos_id,pos_name,pos_lon,pos_lat) values('"+field[1]+"','"+field[2]+"','"+field[3]+"','"+field[4]+"');\r\n";
                    writeBuffer(sql);
                    //appInfolistInput.append(lineTxt);
                }
                read.close();
                bufferedReader.close();
            } else {
                System.out.println("找不到指定的文件");
            }
        } catch (Exception e) {
            System.out.println("读取文件内容出错");
            e.printStackTrace();
        }
        return appInfolistInput.toString();
    }
    public void writeBuffer(String text){
        try {
            File file = new File("d:\\乡镇经纬度.sql");
            BufferedWriter output = new BufferedWriter(new FileWriter(file,true));
            output.write(text);
            output.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
    public static void main(String[] args) {
        ReadTxtUtils utils = new ReadTxtUtils();
        String text = utils.readTxtFile("d:\\乡镇经纬度更新到2018-5-1.txt");
        //System.out.println(text);
    }
}
