package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_act_attach 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-02-25 14:03:04
 */
public class ActAttach implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 行政处罚决定id
     */
    private String baseId;
    /**
     * 附件类型 0-佐证材料 1-行政处罚案件信息公开表
     */
    private int attachType;
    /**
     * 附件内容
     */
    private String content;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setBaseId(String baseId) {
        this.baseId = baseId;
    }

    public String getBaseId() {
        return baseId;
    }

    public void setAttachType(int attachType) {
        this.attachType = attachType;
    }

    public int getAttachType() {
        return attachType;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent() {
        return content;
    }
}

