package com.hywa.map.dao.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * t_act_base 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-02-25 14:02:30
 */
public class ActBaseAll implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 行政处罚决定案号
     */
    private String exeNo;
    /**
     * 案件名称
     */
    private String caseName;
    /**
     * 违规类型
     */
    private String typeId;
    /**
     * 违规类型
     */
    private String typeName;
    /**
     * 违规等级
     */
    private String levelId;
    /**
     * 违规等级
     */
    private String levelName;
    /**
     * 行政处罚机关名称
     */
    private String organId;
    /**
     * 行政处罚机关名称
     */
    private String organName;
    /**
     * 行政处罚日期
     */
    private Date exeDate;
    /**
     * 进度状态
     */
    private String dealStateId;
    /**
     * 进度状态
     */
    private String dealStateName;
    /**
     * 发布状态 0-未发布 1-已发布 2-撤回
     */
    private String state;
    /**
     * 行政处罚依据
     */
    private String proof;
    /**
     * 违法事实
     */
    private String fact;
    /**
     * 行政处罚履行方式及期限
     */
    private String exeWay;
    /**
     * 备注
     */
    private String remark;
    /**
     * 是否删除 0-未删除 1-已删除
     */
    private int isDel;
    /**
     * 发布时间
     */
    private Date publishTime;
    /**
     * 发布人
     */
    private String publishUser;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private Date updateDate;
    /**
     * 主体类型
     */
    private String objTypeId;
    /**
     * 主体类型
     */
    private String objTypeName;
    /**
     * 生产企业
     */
    private String corpId;
    /**
     * 名称或姓名
     */
    private String corpName;
    /**
     * 经营主体
     */
    private String operId;
    /**
     * 经营主体
     */
    private String operName;
    /**
     * 组织机构代码/身份证号
     */
    private String certId;
    /**
     * 法人
     */
    private String legalName;
    /**
     * 联系人
     */
    private String contactName;
    /**
     * 联系电话
     */
    private String telNo;
    /**
     * 地址
     */
    private String address;
    /**
     * 省id
     */
    private String provinceId;
    /**
     * 省id
     */
    private String provinceName;
    /**
     * 市id
     */
    private String cityId;
    /**
     * 市id
     */
    private String cityName;
    /**
     * 县id
     */
    private String countyId;
    /**
     * 县id
     */
    private String countyName;
    /**
     * 镇id
     */
    private String townId;
    /**
     * 镇id
     */
    private String townName;
    /**
     * 村id
     */
    private String villageId;
    /**
     * 村id
     */
    private String villageName;
    /**
     * 抽检时间
     */
    private Date checkDate;
    /**
     * 抽检人
     */
    private String checkUser;
    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setExeNo(String exeNo) {
        this.exeNo = exeNo;
    }

    public String getExeNo() {
        return exeNo;
    }

    public void setCaseName(String caseName) {
        this.caseName = caseName;
    }

    public String getCaseName() {
        return caseName;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    public String getTypeId() {
        return typeId;
    }

    public void setLevelId(String levelId) {
        this.levelId = levelId;
    }

    public String getLevelId() {
        return levelId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setExeDate(Date exeDate) {
        this.exeDate = exeDate;
    }

    public Date getExeDate() {
        return exeDate;
    }

    public void setDealStateId(String dealStateId) {
        this.dealStateId = dealStateId;
    }

    public String getDealStateId() {
        return dealStateId;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public void setProof(String proof) {
        this.proof = proof;
    }

    public String getProof() {
        return proof;
    }

    public void setFact(String fact) {
        this.fact = fact;
    }

    public String getFact() {
        return fact;
    }

    public void setExeWay(String exeWay) {
        this.exeWay = exeWay;
    }

    public String getExeWay() {
        return exeWay;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRemark() {
        return remark;
    }

    public void setIsDel(int isDel) {
        this.isDel = isDel;
    }

    public int getIsDel() {
        return isDel;
    }

    public void setPublishTime(Date publishTime) {
        this.publishTime = publishTime;
    }

    public Date getPublishTime() {
        return publishTime;
    }

    public void setPublishUser(String publishUser) {
        this.publishUser = publishUser;
    }

    public String getPublishUser() {
        return publishUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public String getObjTypeId() {
        return objTypeId;
    }

    public void setObjTypeId(String objTypeId) {
        this.objTypeId = objTypeId;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public String getObjTypeName() {
        return objTypeName;
    }

    public void setObjTypeName(String objTypeName) {
        this.objTypeName = objTypeName;
    }

    public String getOperId() {
        return operId;
    }

    public void setOperId(String operId) {
        this.operId = operId;
    }

    public String getOperName() {
        return operName;
    }

    public void setOperName(String operName) {
        this.operName = operName;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getCertId() {
        return certId;
    }

    public void setCertId(String certId) {
        this.certId = certId;
    }

    public String getLegalName() {
        return legalName;
    }

    public void setLegalName(String legalName) {
        this.legalName = legalName;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getDealStateName() {
        return dealStateName;
    }

    public void setDealStateName(String dealStateName) {
        this.dealStateName = dealStateName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getTelNo() {
        return telNo;
    }

    public void setTelNo(String telNo) {
        this.telNo = telNo;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getCountyId() {
        return countyId;
    }

    public void setCountyId(String countyId) {
        this.countyId = countyId;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public String getTownId() {
        return townId;
    }

    public void setTownId(String townId) {
        this.townId = townId;
    }

    public String getTownName() {
        return townName;
    }

    public void setTownName(String townName) {
        this.townName = townName;
    }

    public String getVillageId() {
        return villageId;
    }

    public void setVillageId(String villageId) {
        this.villageId = villageId;
    }

    public String getVillageName() {
        return villageName;
    }

    public void setVillageName(String villageName) {
        this.villageName = villageName;
    }

    public Date getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    public String getCheckUser() {
        return checkUser;
    }

    public void setCheckUser(String checkUser) {
        this.checkUser = checkUser;
    }
}

