package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_agri_data_detail 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-05-06 14:18:34
 */
public class AgriDataDetail implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private int id;
    /**
     * 产业id
     */
    private String dataId;
    /**
     * 图标
     */
    private String icon;
    /**
     * 显示名称
     */
    private String viewName;
    /**
     * 显示值
     */
    private String viewVal;
    /**
     * 显示单位
     */
    private String viewUnit;
    /**
     * 比例名称
     */
    private String rateName;
    /**
     * 比例值
     */
    private String rateVal;
    /**
     * 比例符号 1-上升 2-下降
     */
    private String rateSign;
    /**
     * 排序序号
     */
    private int sort;
    /**
     * 区域名称
     */
    private String areaName;

    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public String getDataId() {
        return dataId;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getIcon() {
        return icon;
    }

    public void setViewName(String viewName) {
        this.viewName = viewName;
    }

    public String getViewName() {
        return viewName;
    }

    public void setViewVal(String viewVal) {
        this.viewVal = viewVal;
    }

    public String getViewVal() {
        return viewVal;
    }

    public void setViewUnit(String viewUnit) {
        this.viewUnit = viewUnit;
    }

    public String getViewUnit() {
        return viewUnit;
    }

    public void setRateName(String rateName) {
        this.rateName = rateName;
    }

    public String getRateName() {
        return rateName;
    }

    public void setRateVal(String rateVal) {
        this.rateVal = rateVal;
    }

    public String getRateVal() {
        return rateVal;
    }

    public void setRateSign(String rateSign) {
        this.rateSign = rateSign;
    }

    public String getRateSign() {
        return rateSign;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    public int getSort() {
        return sort;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }
}

