package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_agri_profile 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-05-05 15:57:29
 */
public class AgriProfile implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private int id;
    /**
     * 显示样式 0-圆形 1-条形
     */
    private String viewType;
    /**
     * 显示名称
     */
    private String viewName;
    /**
     * 显示值
     */
    private String viewVal;
    /**
     * 比例名称
     */
    private String rateName;
    /**
     * 比例值
     */
    private String rateVal;
    /**
     * 比例符号 1-上升 2-下降
     */
    private String rateSign;

    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public void setViewType(String viewType) {
        this.viewType = viewType;
    }

    public String getViewType() {
        return viewType;
    }

    public void setViewName(String viewName) {
        this.viewName = viewName;
    }

    public String getViewName() {
        return viewName;
    }

    public void setViewVal(String viewVal) {
        this.viewVal = viewVal;
    }

    public String getViewVal() {
        return viewVal;
    }

    public void setRateName(String rateName) {
        this.rateName = rateName;
    }

    public String getRateName() {
        return rateName;
    }

    public void setRateVal(String rateVal) {
        this.rateVal = rateVal;
    }

    public String getRateVal() {
        return rateVal;
    }

    public void setRateSign(String rateSign) {
        this.rateSign = rateSign;
    }

    public String getRateSign() {
        return rateSign;
    }
}

