package com.hywa.map.dao.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * t_mon_dealer_invent_detail 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-03-04 13:49:26
 */
public class FarmerInventDetail implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 商品编号
     */
    private String goodsId;
    /**
     * 交易日期
     */
    private Date tradeDate;
    /**
     * 交易类型
     */
    private String tradeType;
    /**
     * 订单编号
     */
    private String orderId;
    /**
     * 客户/供应商
     */
    private String supplier;
    /**
     * 联系方式
     */
    private String contactWay;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 交易数量
     */
    private String tradeVol;
    /**
     * 单位
     */
    private String unit;
    /**
     * 规格型号
     */
    private String model;
    /**
     * 批号
     */
    private String batchNo;
    /**
     * 交易后库存
     */
    private String currVol;
    /**
     * 仓库
     */
    private String warehouse;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setTradeDate(Date tradeDate) {
        this.tradeDate = tradeDate;
    }

    public Date getTradeDate() {
        return tradeDate;
    }

    public void setTradeType(String tradeType) {
        this.tradeType = tradeType;
    }

    public String getTradeType() {
        return tradeType;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setContactWay(String contactWay) {
        this.contactWay = contactWay;
    }

    public String getContactWay() {
        return contactWay;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setTradeVol(String tradeVol) {
        this.tradeVol = tradeVol;
    }

    public String getTradeVol() {
        return tradeVol;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnit() {
        return unit;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getModel() {
        return model;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setCurrVol(String currVol) {
        this.currVol = currVol;
    }

    public String getCurrVol() {
        return currVol;
    }

    public void setWarehouse(String warehouse) {
        this.warehouse = warehouse;
    }

    public String getWarehouse() {
        return warehouse;
    }
}

