package com.hywa.map.dao.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * lib_info 实体类 对应表名
 *
 * @author hywa
 * @create by 2018-12-12 10:01:55
 */
public class LibInfo implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 行业id
     */
    private String induId;
    /**
     * 行业名称
     */
    private String induName;
    /**
     * 库名称
     */
    private String libName;
    /**
     * 库编码
     */
    private String libCode;
    /**
     * 备注
     */
    private String remark;
    /**
     * 是否删除 0-未删除 1-已删除
     */
    private int isDel;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private Date updateDate;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setInduId(String induId) {
        this.induId = induId;
    }

    public String getInduId() {
        return induId;
    }

    public void setLibName(String libName) {
        this.libName = libName;
    }

    public String getLibName() {
        return libName;
    }

    public void setLibCode(String libCode) {
        this.libCode = libCode;
    }

    public String getLibCode() {
        return libCode;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRemark() {
        return remark;
    }

    public void setIsDel(int isDel) {
        this.isDel = isDel;
    }

    public int getIsDel() {
        return isDel;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public String getInduName() {
        return induName;
    }

    public void setInduName(String induName) {
        this.induName = induName;
    }
}

