package com.hywa.map.dao.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * t_orchard_info 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-07-17 13:44:47
 */
public class OrchardInfo implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 园区编码
     */
    private String orchardCode;
    /**
     * 园区名称
     */
    private String orchardName;
    /**
     * 园区面积(平方米)
     */
    private String orchardArea;
    /**
     * 行业类型 01-农业 02-林业 03-畜牧业 04-渔业 05-农林牧渔服务业
     */
    private String induType;
    /**
     * 人员数
     */
    private String workerCount;
    /**
     * 建园开始日期
     */
    private Date beginDate;
    /**
     * 建园结束日期
     */
    private Date endDate;
    /**
     * 负责人
     */
    private String leaderName;
    /**
     * 联系电话
     */
    private String telNo;
    /**
     * 海拔
     */
    private String elevation;
    /**
     * 园区简介
     */
    private String orchardDesc;
    /**
     * 是否删除 0-未删除 1-已删除
     */
    private int isDel;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private Date updateDate;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setOrchardCode(String orchardCode) {
        this.orchardCode = orchardCode;
    }

    public String getOrchardCode() {
        return orchardCode;
    }

    public void setOrchardName(String orchardName) {
        this.orchardName = orchardName;
    }

    public String getOrchardName() {
        return orchardName;
    }

    public void setOrchardArea(String orchardArea) {
        this.orchardArea = orchardArea;
    }

    public String getOrchardArea() {
        return orchardArea;
    }

    public void setInduType(String induType) {
        this.induType = induType;
    }

    public String getInduType() {
        return induType;
    }

    public void setWorkerCount(String workerCount) {
        this.workerCount = workerCount;
    }

    public String getWorkerCount() {
        return workerCount;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setLeaderName(String leaderName) {
        this.leaderName = leaderName;
    }

    public String getLeaderName() {
        return leaderName;
    }

    public void setTelNo(String telNo) {
        this.telNo = telNo;
    }

    public String getTelNo() {
        return telNo;
    }

    public void setElevation(String elevation) {
        this.elevation = elevation;
    }

    public String getElevation() {
        return elevation;
    }

    public void setOrchardDesc(String orchardDesc) {
        this.orchardDesc = orchardDesc;
    }

    public String getOrchardDesc() {
        return orchardDesc;
    }

    public void setIsDel(int isDel) {
        this.isDel = isDel;
    }

    public int getIsDel() {
        return isDel;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }
}

