package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_orchard_locate 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-07-17 13:45:17
 */
public class OrchardLocate implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 园区id
     */
    private String orchardId;
    /**
     * 地址
     */
    private String address;
    /**
     * 省id
     */
    private String provinceId;
    /**
     * 市id
     */
    private String cityId;
    /**
     * 县id
     */
    private String countyId;
    /**
     * 镇id
     */
    private String townId;
    /**
     * 村id
     */
    private String villageId;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 园区边界
     */
    private String orchardBorder;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setOrchardId(String orchardId) {
        this.orchardId = orchardId;
    }

    public String getOrchardId() {
        return orchardId;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddress() {
        return address;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCountyId(String countyId) {
        this.countyId = countyId;
    }

    public String getCountyId() {
        return countyId;
    }

    public void setTownId(String townId) {
        this.townId = townId;
    }

    public String getTownId() {
        return townId;
    }

    public void setVillageId(String villageId) {
        this.villageId = villageId;
    }

    public String getVillageId() {
        return villageId;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setOrchardBorder(String orchardBorder) {
        this.orchardBorder = orchardBorder;
    }

    public String getOrchardBorder() {
        return orchardBorder;
    }
}

