package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_orchard_product 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-07-17 13:44:59
 */
public class OrchardProduct implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 园区id
     */
    private String orchardId;
    /**
     * 产出物编码
     */
    private String prodCode;
    /**
     * 产出物名称
     */
    private String prodName;
    /**
     * 产出面积(亩)
     */
    private String prodArea;
    /**
     * 产量估算(公斤)
     */
    private String prodVol;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setOrchardId(String orchardId) {
        this.orchardId = orchardId;
    }

    public String getOrchardId() {
        return orchardId;
    }

    public void setProdCode(String prodCode) {
        this.prodCode = prodCode;
    }

    public String getProdCode() {
        return prodCode;
    }

    public void setProdName(String prodName) {
        this.prodName = prodName;
    }

    public String getProdName() {
        return prodName;
    }

    public void setProdArea(String prodArea) {
        this.prodArea = prodArea;
    }

    public String getProdArea() {
        return prodArea;
    }

    public void setProdVol(String prodVol) {
        this.prodVol = prodVol;
    }

    public String getProdVol() {
        return prodVol;
    }

    @Override
    public String toString() {
        return "OrchardProduct{" +
                "id='" + id + '\'' +
                ", orchardId='" + orchardId + '\'' +
                ", prodCode='" + prodCode + '\'' +
                ", prodName='" + prodName + '\'' +
                ", prodArea='" + prodArea + '\'' +
                ", prodVol='" + prodVol + '\'' +
                '}';
    }
}

