package com.hywa.map.dao.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * t_mon_register 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-02-28 14:14:49
 */
public class Register implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 备案类型 0-农药 1-兽药
     */
    private int regType;
    /**
     * 登记编码
     */
    private String regCode;
    /**
     * 登记证号
     */
    private String regNo;
    /**
     * 登记名称
     */
    private String regName;
    /**
     * 农药类别
     */
    private String typeName;
    /**
     * 总含量
     */
    private String total;
    /**
     * 毒性
     */
    private String drug;
    /**
     * 剂型
     */
    private String form;
    /**
     * 有效起始日
     */
    private Date beginDate;
    /**
     * 有效截止日
     */
    private Date endDate;
    /**
     * 国家
     */
    private String nation;
    /**
     * 生产企业
     */
    private String corpId;
    /**
     * 生产企业编码
     */
    private String corpCode;
    /**
     * 生产企业证号
     */
    private String corpNo;
    /**
     * 生产企业
     */
    private String corpName;
    /**
     * 备注
     */
    private String remark;
    /**
     * 是否过期 0-未过期 1-已过期
     */
    private int isDue;
    /**
     * 是否删除 0-未删除 1-已删除
     */
    private int isDel;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private Date updateDate;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setRegType(int regType) {
        this.regType = regType;
    }

    public int getRegType() {
        return regType;
    }

    public void setRegNo(String regNo) {
        this.regNo = regNo;
    }

    public String getRegNo() {
        return regNo;
    }

    public void setRegName(String regName) {
        this.regName = regName;
    }

    public String getRegName() {
        return regName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public String getTotal() {
        return total;
    }

    public void setDrug(String drug) {
        this.drug = drug;
    }

    public String getDrug() {
        return drug;
    }

    public void setForm(String form) {
        this.form = form;
    }

    public String getForm() {
        return form;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getNation() {
        return nation;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRemark() {
        return remark;
    }

    public void setIsDue(int isDue) {
        this.isDue = isDue;
    }

    public int getIsDue() {
        return isDue;
    }

    public void setIsDel(int isDel) {
        this.isDel = isDel;
    }

    public int getIsDel() {
        return isDel;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getRegCode() {
        return regCode;
    }

    public void setRegCode(String regCode) {
        this.regCode = regCode;
    }

    public String getCorpCode() {
        return corpCode;
    }

    public void setCorpCode(String corpCode) {
        this.corpCode = corpCode;
    }

    public String getCorpNo() {
        return corpNo;
    }

    public void setCorpNo(String corpNo) {
        this.corpNo = corpNo;
    }
}

