package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_mon_register_corp 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-02-28 14:15:01
 */
public class RegisterCorp implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 备案id
     */
    private String regId;
    /**
     * 单位名称
     */
    private String corpName;
    /**
     * 省
     */
    private String provinceName;
    /**
     * 国家
     */
    private String nation;
    /**
     * 县
     */
    private String countyName;
    /**
     * 乡镇街道
     */
    private String townName;
    /**
     * 邮编
     */
    private String postCode;
    /**
     * 电话
     */
    private String telNo;
    /**
     * 传真
     */
    private String fax;
    /**
     * 联系人
     */
    private String contactName;
    /**
     * 单位地址
     */
    private String address;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 单位类型
     */
    private String corpType;
    /**
     * 企业简介
     */
    private String corpInfo;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setRegId(String regId) {
        this.regId = regId;
    }

    public String getRegId() {
        return regId;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getNation() {
        return nation;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setTownName(String townName) {
        this.townName = townName;
    }

    public String getTownName() {
        return townName;
    }

    public void setPostCode(String postCode) {
        this.postCode = postCode;
    }

    public String getPostCode() {
        return postCode;
    }

    public void setTelNo(String telNo) {
        this.telNo = telNo;
    }

    public String getTelNo() {
        return telNo;
    }

    public void setFax(String fax) {
        this.fax = fax;
    }

    public String getFax() {
        return fax;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactName() {
        return contactName;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddress() {
        return address;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getEmail() {
        return email;
    }

    public void setCorpType(String corpType) {
        this.corpType = corpType;
    }

    public String getCorpType() {
        return corpType;
    }

    public void setCorpInfo(String corpInfo) {
        this.corpInfo = corpInfo;
    }

    public String getCorpInfo() {
        return corpInfo;
    }
}

