package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_mon_register_label 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-02-28 14:15:36
 */
public class RegisterLabel implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 备案id
     */
    private String regId;
    /**
     * 农药生产许可证（或生产批准文件）号
     */
    private String certId;
    /**
     * 产品标准号
     */
    private String standId;
    /**
     * 详细使用方法
     */
    private String operInfo;
    /**
     * 产品性能（用途）
     */
    private String perform;
    /**
     * 注意事项
     */
    private String notes;
    /**
     * 中毒急救
     */
    private String aid;
    /**
     * 存储和运输
     */
    private String store;
    /**
     * 备注
     */
    private String remark;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setRegId(String regId) {
        this.regId = regId;
    }

    public String getRegId() {
        return regId;
    }

    public void setCertId(String certId) {
        this.certId = certId;
    }

    public String getCertId() {
        return certId;
    }

    public void setStandId(String standId) {
        this.standId = standId;
    }

    public String getStandId() {
        return standId;
    }

    public void setOperInfo(String operInfo) {
        this.operInfo = operInfo;
    }

    public String getOperInfo() {
        return operInfo;
    }

    public void setPerform(String perform) {
        this.perform = perform;
    }

    public String getPerform() {
        return perform;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getNotes() {
        return notes;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public String getAid() {
        return aid;
    }

    public void setStore(String store) {
        this.store = store;
    }

    public String getStore() {
        return store;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRemark() {
        return remark;
    }
}

