package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_sys_area 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-05-07 15:32:48
 */
public class SysArea implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private int id;
    /**
     * 行政区域ID
     */
    private String posId;
    /**
     * 父级行政区域ID
     */
    private String parentId;
    /**
     * 行政类型：1（省）、2（城市）、3（区县市）、4（乡镇）、5（村）
     */
    private int posType;
    /**
     * 名称
     */
    private String posName;
    /**
     * 地理经度
     */
    private String posLon;
    /**
     * 地理纬度
     */
    private String posLat;
    /**
     * 图标经度
     */
    private String iconLon;
    /**
     * 图标纬度
     */
    private String iconLat;

    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public void setPosId(String posId) {
        this.posId = posId;
    }

    public String getPosId() {
        return posId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setPosType(int posType) {
        this.posType = posType;
    }

    public int getPosType() {
        return posType;
    }

    public void setPosName(String posName) {
        this.posName = posName;
    }

    public String getPosName() {
        return posName;
    }

    public void setPosLon(String posLon) {
        this.posLon = posLon;
    }

    public String getPosLon() {
        return posLon;
    }

    public void setPosLat(String posLat) {
        this.posLat = posLat;
    }

    public String getPosLat() {
        return posLat;
    }

    public void setIconLon(String iconLon) {
        this.iconLon = iconLon;
    }

    public String getIconLon() {
        return iconLon;
    }

    public void setIconLat(String iconLat) {
        this.iconLat = iconLat;
    }

    public String getIconLat() {
        return iconLat;
    }
}

