package com.hywa.map.dao.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * t_topic_info 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-05-10 13:50:25
 */
public class TopicInfo implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 专题名称
     */
    private String topicName;
    /**
     * 专题所属目录id
     */
    private String topicPathId;
    /**
     * 专题说明
     */
    private String topicDesc;
    /**
     * 数据源id
     */
    private String sourceId;
    /**
     * 排序序号
     */
    private int sort;
    /**
     * 展现形式 1:气泡 2:点状 3:箭头
     */
    private int showType;
    /**
     * 分布点名称
     */
    private String pointName;
    /**
     * 地址
     */
    private String address;
    /**
     * 展示地址
     */
    private String showUrl;
    /**
     * 是否删除  0:未删除   1：已删除
     */
    private int isDel;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private Date updateDate;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setTopicName(String topicName) {
        this.topicName = topicName;
    }

    public String getTopicName() {
        return topicName;
    }

    public void setTopicPathId(String topicPathId) {
        this.topicPathId = topicPathId;
    }

    public String getTopicPathId() {
        return topicPathId;
    }

    public void setTopicDesc(String topicDesc) {
        this.topicDesc = topicDesc;
    }

    public String getTopicDesc() {
        return topicDesc;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId;
    }

    public String getSourceId() {
        return sourceId;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    public int getSort() {
        return sort;
    }

    public void setShowType(int showType) {
        this.showType = showType;
    }

    public int getShowType() {
        return showType;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName;
    }

    public String getPointName() {
        return pointName;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddress() {
        return address;
    }

    public void setShowUrl(String showUrl) {
        this.showUrl = showUrl;
    }

    public String getShowUrl() {
        return showUrl;
    }

    public void setIsDel(int isDel) {
        this.isDel = isDel;
    }

    public int getIsDel() {
        return isDel;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }
}

