package com.hywa.map.dao.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * t_user_advice 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-04-12 13:43:02
 */
public class UserAdviceAttach implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 反馈类型 0-功能异常 1-体验问题 2-新功能建议 3-其他
     */
    private String adviceType;
    /**
     * 内容
     */
    private String content;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 内容
     */
    private String fileName;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getAdviceType() {
        return adviceType;
    }

    public void setAdviceType(String adviceType) {
        this.adviceType = adviceType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }
}

