package com.hywa.map.dao.entity;

import java.util.Date;

/**
 * dap_weather 实体类 对应表名
 *
 * @author liuzhaohui
 * @create by 2018-08-06 15:02:49
 */
public class Weather {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 省名称
     */
    private String province;
    /**
     * 城市名称
     */
    private String cityName;
    /**
     * 区域编码
     */
    private String adCode;
    /**
     * 天气现象
     */
    private String weather;
    /**
     * 实时气温
     */
    private int temperature;
    /**
     * 风向
     */
    private String windDire;
    /**
     * 风力
     */
    private String windPower;
    /**
     * 空气湿度
     */
    private int humidity;
    /**
     * 是否删除  0:未删除   1：已删除
     */
    private int isDel;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private Date updateDate;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getAdCode() {
        return adCode;
    }

    public void setAdCode(String adCode) {
        this.adCode = adCode;
    }

    public String getWeather() {
        return weather;
    }

    public void setWeather(String weather) {
        this.weather = weather;
    }

    public int getTemperature() {
        return temperature;
    }

    public void setTemperature(int temperature) {
        this.temperature = temperature;
    }

    public String getWindDire() {
        return windDire;
    }

    public void setWindDire(String windDire) {
        this.windDire = windDire;
    }

    public String getWindPower() {
        return windPower;
    }

    public void setWindPower(String windPower) {
        this.windPower = windPower;
    }

    public int getHumidity() {
        return humidity;
    }

    public void setHumidity(int humidity) {
        this.humidity = humidity;
    }

    public int getIsDel() {
        return isDel;
    }

    public void setIsDel(int isDel) {
        this.isDel = isDel;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    @Override
    public String toString() {
        return "DapWeather{" +
                "id='" + id + '\'' +
                ", province='" + province + '\'' +
                ", cityName='" + cityName + '\'' +
                ", adCode='" + adCode + '\'' +
                ", common='" + weather + '\'' +
                ", temperature=" + temperature +
                ", windDire='" + windDire + '\'' +
                ", windPower='" + windPower + '\'' +
                ", humidity=" + humidity +
                ", isDel=" + isDel +
                ", createUser='" + createUser + '\'' +
                ", createDate=" + createDate +
                ", updateUser='" + updateUser + '\'' +
                ", updateDate=" + updateDate +
                '}';
    }
}

