package com.hywa.map.dao.mapper;

import com.hywa.map.dao.entity.AgriGroup;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * t_agri_group  对应mapperInterface 接口类
 *
 * @author hywa
 * @create by 2019-05-05 13:53:05
 */
@Mapper
public interface AgriGroupMapper {
    /*
     * 查询农业组别信息
     */
    List<AgriGroup> select();
    /*
     * 查询单条农业组别信息
     */
    AgriGroup selectById(@Param("id") String id);
}

