package com.hywa.map.dao.mapper;

import com.hywa.map.dao.entity.MapModuleData;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * t_map_module_data  对应mapperInterface 接口类
 *
 * @author hywa
 * @create by 2019-09-17 13:35:20
 */
@Mapper
public interface MapModuleDataMapper {
    /*
     * 新增
     */
    int add(MapModuleData entity);

    /*
     * 更新
     */
    int updateByModuleCode(MapModuleData entity);

    /*
     * 根据组件编码统计记录数
     */
    int countByModuleCode(@Param("moduleCode") String moduleCode);

    /*
     * 根据组件编码查询列表
     */
    MapModuleData selectByModuleCode(@Param("mapId") String mapId,@Param("moduleCode") String moduleCode);

    /*
     * 根据大屏id统计记录数
     */
    int countByMapId(@Param("mapId") String mapId,@Param("moduleCode") String moduleCode);
    /*
     * 更新
     */
    int updateByModuleCodeAndMapId(MapModuleData entity);
    /*
     * 删除组件数据
     */
    int deleteByMapId(@Param("mapId") String mapId);
}

