package com.hywa.map.dao.mapper;

import com.hywa.map.dao.entity.Combox;
import com.hywa.map.dao.entity.OrchardProduct;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * t_orchard_product  对应mapperInterface 接口类
 *
 * @author hywa
 * @create by 2019-07-17 13:44:59
 */
@Mapper
public interface OrchardProductMapper {
    void insertBatch(List<OrchardProduct> products);
    /*
     * 物理删除
     */
    int delete(@Param("orchardId") String orchardId);
    /*
     * 查询产出物类型
     */
    List<Combox> selectProdType();
    /*
     * 查询产出物列表
     */
    List<OrchardProduct> selectByOrchardId(@Param("orchardId") String orchardId);
}

