package com.hywa.map.dao.mapper;

import com.hywa.map.dao.entity.RoleMenuExample;
import com.hywa.map.dao.entity.RoleMenuKey;
import java.util.List;

import com.hywa.map.dao.entity.RoleSysKey;
import com.hywa.map.representation.SysRep;
import org.apache.ibatis.annotations.Param;

public interface RoleMenuMapper {
    int countByExample(RoleMenuExample example);

    int deleteByExample(RoleMenuExample example);

    int deleteByRoleId(String roleId);

    int insert(RoleMenuKey record);

    int insertList(@Param("keys")List<String> keys,@Param("roleId") String id);

    int insertSelective(RoleMenuKey record);

    List<RoleMenuKey> selectByExample(RoleMenuExample example);

    int updateByExampleSelective(@Param("record") RoleMenuKey record, @Param("example") RoleMenuExample example);

    int updateByExample(@Param("record") RoleMenuKey record, @Param("example") RoleMenuExample example);

    int selectCountByRoleId(@Param("roleId")String roleId);

    void insertBatch(List<RoleMenuKey> roleMenuKeys);

    int deleteSysByRoleId(@Param("roleId") String roleId);

    List<SysRep> selectSysByRole(@Param("roleId") String roleId);

    void insertRoleSysBatch(List<RoleSysKey> roleSysKeys);
}