package com.hywa.map.dao.mapper;

import com.hywa.map.common.param.PageBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* dap_city  对应mapperInterface 接口类
* @create by 2018-08-08 13:51:12
* @author liuzhaohui
*/ 
@Mapper
public interface WeatherCityMapper {
    /*多条件查询*/
    List<Map<String,Object>> search(
            @Param(value = "reField") Map<String, Object> reField,
            @Param(value = "equal") Map<String, Object> equal,
            @Param(value = "order") String order,
            @Param(value = "limit") PageBean limit,
            @Param(value = "like") Map<String, Object> like);

    /*多条件数目*/
    int searchTotals(
            @Param(value = "equal") Map<String, Object> equal,
            @Param(value = "like") Map<String, Object> like
    );
}

