package com.hywa.map.representation;

import com.hywa.map.dao.entity.AgriDataDetail;

import java.io.Serializable;

public class AgriFisheryDetail implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 主键
     */
    private int id;
    /**
     * 产业id
     */
    private String dataId;
    /**
     * 图标
     */
    private String icon;
    /**
     * 显示名称
     */
    private String viewName;
    /**
     * 显示值
     */
    private String viewVal;
    /**
     * 显示单位
     */
    private String viewUnit;
    /**
     * 比例名称
     */
    private String rateName;
    /**
     * 比例值
     */
    private String rateVal;
    /**
     * 比例符号 1-上升 2-下降
     */
    private String rateSign;

    public AgriFisheryDetail(AgriDataDetail entity) {
        this.setId(entity.getId());
        this.setDataId(entity.getDataId());
        this.setIcon(entity.getIcon());
        this.setViewName(entity.getViewName());
        this.setViewVal(entity.getViewVal());
        this.setViewUnit(entity.getViewUnit());
        this.setRateName(entity.getRateName());
        this.setRateVal(entity.getRateVal());
        this.setRateSign(entity.getRateSign());
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getViewName() {
        return viewName;
    }

    public void setViewName(String viewName) {
        this.viewName = viewName;
    }

    public String getViewVal() {
        return viewVal;
    }

    public void setViewVal(String viewVal) {
        this.viewVal = viewVal;
    }

    public String getViewUnit() {
        return viewUnit;
    }

    public void setViewUnit(String viewUnit) {
        this.viewUnit = viewUnit;
    }

    public String getRateName() {
        return rateName;
    }

    public void setRateName(String rateName) {
        this.rateName = rateName;
    }

    public String getRateVal() {
        return rateVal;
    }

    public void setRateVal(String rateVal) {
        this.rateVal = rateVal;
    }

    public String getRateSign() {
        return rateSign;
    }

    public void setRateSign(String rateSign) {
        this.rateSign = rateSign;
    }

    @Override
    public String toString() {
        return "AgriFisheryDetail{" +
                "id=" + id +
                ", dataId='" + dataId + '\'' +
                ", icon='" + icon + '\'' +
                ", viewName='" + viewName + '\'' +
                ", viewVal='" + viewVal + '\'' +
                ", viewUnit='" + viewUnit + '\'' +
                ", rateName='" + rateName + '\'' +
                ", rateVal='" + rateVal + '\'' +
                ", rateSign='" + rateSign + '\'' +
                '}';
    }
}


