package com.hywa.map.representation;

import com.hywa.map.dao.entity.AgriGroupItem;

import java.io.Serializable;

public class AgriGroupItemRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 主键
     */
    private String id;
    /**
     * 组别id
     */
    private String groupId;
    /**
     * 条目名称
     */
    private String itemName;
    /**
     * 条目图标
     */
    private String itemIcon;

    public AgriGroupItemRep(AgriGroupItem entity) {
        this.setId(entity.getId());
        this.setGroupId(entity.getGroupId());
        this.setItemName(entity.getItemName());
        this.setItemIcon(entity.getItemIcon());
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemIcon() {
        return itemIcon;
    }

    public void setItemIcon(String itemIcon) {
        this.itemIcon = itemIcon;
    }

    @Override
    public String toString() {
        return "AgriGroupItemRep{" +
                "id=" + id +
                ", groupId='" + groupId + '\'' +
                ", itemName='" + itemName + '\'' +
                ", itemIcon='" + itemIcon + '\'' +
                '}';
    }
}


