package com.hywa.map.representation;

import com.hywa.map.dao.entity.AgriData;

import java.io.Serializable;
import java.util.List;

public class AgriTownDataRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 主键
     */
    private String id;
    /**
     * 主题名称
     */
    private String mainName;
    /**
     * 副题名称
     */
    private String subName;
    /**
     * 图标
     */
    private String showIcon;
    /**
     * 显示名称
     */
    private String showName;
    /**
     * 显示值
     */
    private String showVal;
    /**
     * 显示单位
     */
    private String showUnit;
    /**
     * 比例名称
     */
    private String ratioName;
    /**
     * 比例值
     */
    private String ratioVal;
    /**
     * 比例符号 1-上升 2-下降
     */
    private String ratioSign;
    List<AgriTownDataReps> list;
    public AgriTownDataRep(AgriData entity) {
        this.setId(entity.getId());
        this.setMainName(entity.getMainName());
        this.setSubName(entity.getSubName());
        this.setShowIcon(entity.getIcon());
        this.setShowName(entity.getViewName());
        this.setShowVal(entity.getViewVal());
        this.setShowUnit(entity.getViewUnit());
        this.setRatioName(entity.getRateName());
        this.setRatioVal(entity.getRateVal());
        this.setRatioSign(entity.getRateSign());
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMainName() {
        return mainName;
    }

    public void setMainName(String mainName) {
        this.mainName = mainName;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getShowIcon() {
        return showIcon;
    }

    public void setShowIcon(String showIcon) {
        this.showIcon = showIcon;
    }

    public String getShowName() {
        return showName;
    }

    public void setShowName(String showName) {
        this.showName = showName;
    }

    public String getShowVal() {
        return showVal;
    }

    public void setShowVal(String showVal) {
        this.showVal = showVal;
    }

    public String getShowUnit() {
        return showUnit;
    }

    public void setShowUnit(String showUnit) {
        this.showUnit = showUnit;
    }

    public String getRatioName() {
        return ratioName;
    }

    public void setRatioName(String ratioName) {
        this.ratioName = ratioName;
    }

    public String getRatioVal() {
        return ratioVal;
    }

    public void setRatioVal(String ratioVal) {
        this.ratioVal = ratioVal;
    }

    public String getRatioSign() {
        return ratioSign;
    }

    public void setRatioSign(String ratioSign) {
        this.ratioSign = ratioSign;
    }

    public List<AgriTownDataReps> getList() {
        return list;
    }

    public void setList(List<AgriTownDataReps> list) {
        this.list = list;
    }

    @Override
    public String toString() {
        return "AgriTownDataRep{" +
                "id='" + id + '\'' +
                ", mainName='" + mainName + '\'' +
                ", subName='" + subName + '\'' +
                ", showIcon='" + showIcon + '\'' +
                ", showName='" + showName + '\'' +
                ", showVal='" + showVal + '\'' +
                ", showUnit='" + showUnit + '\'' +
                ", ratioName='" + ratioName + '\'' +
                ", ratioVal='" + ratioVal + '\'' +
                ", ratioSign='" + ratioSign + '\'' +
                ", list=" + list +
                '}';
    }
}


