package com.hywa.map.representation;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 空气质量天信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class AqiDay implements Serializable {

    private static final long serialVersionUID = 1L;
    private Object avgValue;//平均值
    private List<Environ> aqiD = new ArrayList<Environ>();//空气质量天

    public Object getAvgValue() {
        return avgValue;
    }

    public void setAvgValue(Object avgValue) {
        this.avgValue = avgValue;
    }

    public List<Environ> getAqiD() {
        return aqiD;
    }

    public void setAqiD(List<Environ> aqiD) {
        this.aqiD = aqiD;
    }

    @Override
    public String toString() {
        return "AqiDay{" +
                "avgValue=" + avgValue +
                ", aqiD=" + aqiD +
                '}';
    }
}

