package com.hywa.map.representation;

import java.io.Serializable;

public class BranchReq implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 机构id
     */
    private String id;
    /**
     * 机构名称
     */
    private String branchName;
    /**
     * 上级id
     */
    private String parentId;
    /**
     * 负责人
     */
    private String leader;
    /**
     * 电话
     */
    private String telNo;
    /**
     * 备注
     */
    private String remark;

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getLeader() {
        return leader;
    }

    public void setLeader(String leader) {
        this.leader = leader;
    }

    public String getTelNo() {
        return telNo;
    }

    public void setTelNo(String telNo) {
        this.telNo = telNo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "BranchReq{" +
                "id='" + id + '\'' +
                ", branchName='" + branchName + '\'' +
                ", parentId='" + parentId + '\'' +
                ", leader='" + leader + '\'' +
                ", telNo='" + telNo + '\'' +
                ", remark='" + remark + '\'' +
                '}';
    }
}
