package com.hywa.map.representation;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 二氧化碳小时信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class CardbonHour implements Serializable {

    private static final long serialVersionUID = 1L;
    private Object maxValue;//最大值
    private List<Environ> cardbonH = new ArrayList<Environ>();//二氧化碳小时

    public Object getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(Object maxValue) {
        this.maxValue = maxValue;
    }

    public List<Environ> getCardbonH() {
        return cardbonH;
    }

    public void setCardbonH(List<Environ> cardbonH) {
        this.cardbonH = cardbonH;
    }

    @Override
    public String toString() {
        return "CardbonHour{" +
                "maxValue=" + maxValue +
                ", cardbonH=" + cardbonH +
                '}';
    }
}

