package com.hywa.map.representation;

import java.io.Serializable;

/**
 * 获取天气信息 预报天气实体类
 * @create by 2018-08-06 15:02:49
 * @author hywa
 */
public class CastWeather implements Serializable {

  private static final long serialVersionUID = 1L;
  private String castDate;//预报日期
  private String castWeek;//星期几
  private String castMaxTemp;//最高温度
  private String castMinTemp;//最低温度
  private String castWeaDesc;//天气现象
  private String castWindDire;//风向

  public String getCastDate() {
    return castDate;
  }

  public void setCastDate(String castDate) {
    this.castDate = castDate;
  }

  public String getCastWeek() {
    return castWeek;
  }

  public void setCastWeek(String castWeek) {
    this.castWeek = castWeek;
  }

  public String getCastMaxTemp() {
    return castMaxTemp;
  }

  public void setCastMaxTemp(String castMaxTemp) {
    this.castMaxTemp = castMaxTemp;
  }

  public String getCastMinTemp() {
    return castMinTemp;
  }

  public void setCastMinTemp(String castMinTemp) {
    this.castMinTemp = castMinTemp;
  }

  public String getCastWeaDesc() {
    return castWeaDesc;
  }

  public void setCastWeaDesc(String castWeaDesc) {
    this.castWeaDesc = castWeaDesc;
  }

  public String getCastWindDire() {
    return castWindDire;
  }

  public void setCastWindDire(String castWindDire) {
    this.castWindDire = castWindDire;
  }

  @Override
  public String toString() {
    return "CastWeather{" +
            "castDate='" + castDate + '\'' +
            ", castWeek='" + castWeek + '\'' +
            ", castMaxTemp='" + castMaxTemp + '\'' +
            ", castMinTemp='" + castMinTemp + '\'' +
            ", castWeaDesc='" + castWeaDesc + '\'' +
            ", castWindDire='" + castWindDire + '\'' +
            '}';
  }
}

