package com.hywa.map.representation;

import java.io.Serializable;

public class DamInfoReq implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 坝区名称
     */
    private String damName;
    /**
     * 所属区域编码
     */
    private String areaCode;
    /**
     * 海拔
     */
    private String elevation;
    /**
     * 种植面积(亩)
     */
    private String totalArea;
    /**
     * 主要产品
     */
    private String plantName;
    /**
     * 耕地产出值(元)
     */
    private String plantVal;
    /**
     * 土地流转率
     */
    private String landRate;
    /**
     * 农民收入贡献率
     */
    private String farmerRate;
    /**
     * 产销对接率
     */
    private String marketRate;
    /**
     * 产业参保率
     */
    private String insureRate;
    /**
     * 坝区简介
     */
    private String damDesc;
    /**
     * 状态 0-启用 1-禁用
     */
    private String state;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDamName() {
        return damName;
    }

    public void setDamName(String damName) {
        this.damName = damName;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getElevation() {
        return elevation;
    }

    public void setElevation(String elevation) {
        this.elevation = elevation;
    }

    public String getTotalArea() {
        return totalArea;
    }

    public void setTotalArea(String totalArea) {
        this.totalArea = totalArea;
    }

    public String getPlantName() {
        return plantName;
    }

    public void setPlantName(String plantName) {
        this.plantName = plantName;
    }

    public String getPlantVal() {
        return plantVal;
    }

    public void setPlantVal(String plantVal) {
        this.plantVal = plantVal;
    }

    public String getLandRate() {
        return landRate;
    }

    public void setLandRate(String landRate) {
        this.landRate = landRate;
    }

    public String getFarmerRate() {
        return farmerRate;
    }

    public void setFarmerRate(String farmerRate) {
        this.farmerRate = farmerRate;
    }

    public String getMarketRate() {
        return marketRate;
    }

    public void setMarketRate(String marketRate) {
        this.marketRate = marketRate;
    }

    public String getInsureRate() {
        return insureRate;
    }

    public void setInsureRate(String insureRate) {
        this.insureRate = insureRate;
    }

    public String getDamDesc() {
        return damDesc;
    }

    public void setDamDesc(String damDesc) {
        this.damDesc = damDesc;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    @Override
    public String toString() {
        return "DamInfoReq{" +
                "id='" + id + '\'' +
                ", damName='" + damName + '\'' +
                ", areaCode='" + areaCode + '\'' +
                ", elevation='" + elevation + '\'' +
                ", totalArea='" + totalArea + '\'' +
                ", plantName='" + plantName + '\'' +
                ", plantVal='" + plantVal + '\'' +
                ", landRate='" + landRate + '\'' +
                ", farmerRate='" + farmerRate + '\'' +
                ", marketRate='" + marketRate + '\'' +
                ", insureRate='" + insureRate + '\'' +
                ", damDesc='" + damDesc + '\'' +
                ", state='" + state + '\'' +
                '}';
    }
}
