package com.hywa.map.representation;

import java.io.Serializable;
import java.util.List;

public class DepartReq implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 单位名称
     */
    private String objName;
    /**
     * 单位级别
     */
    private String level;
    /**
     * 省id
     */
    private String provinceId;
    /**
     * 市id
     */
    private String cityId;
    /**
     * 县id
     */
    private String countyId;
    /**
     * 镇id
     */
    private String townId;
    private List<ContactReq> contact;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCountyId() {
        return countyId;
    }

    public void setCountyId(String countyId) {
        this.countyId = countyId;
    }

    public String getTownId() {
        return townId;
    }

    public void setTownId(String townId) {
        this.townId = townId;
    }

    public List<ContactReq> getContact() {
        return contact;
    }

    public void setContact(List<ContactReq> contact) {
        this.contact = contact;
    }

    @Override
    public String toString() {
        return "DepartReq{" +
                "id='" + id + '\'' +
                ", objName='" + objName + '\'' +
                ", level='" + level + '\'' +
                ", provinceId='" + provinceId + '\'' +
                ", cityId='" + cityId + '\'' +
                ", countyId='" + countyId + '\'' +
                ", townId='" + townId + '\'' +
                ", contact=" + contact +
                '}';
    }
}
