package com.hywa.map.representation;

import com.hywa.map.dao.entity.ExpertInfo;

import java.io.Serializable;

public class ExpertInfoRep implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 专家名称
     */
    private String expertName;
    /**
     * 专家类型id
     */
    private String typeId;
    /**
     * 专家类型名称
     */
    private String typeIdName;
    /**
     * 所属区域编码
     */
    private String areaCode;
    /**
     * 所属区域名称
     */
    private String areaCodeName;
    /**
     * 所属坝区id
     */
    private String damId;
    /**
     * 所属坝区名称
     */
    private String damIdName;
    /**
     * 专家职称
     */
    private String job;
    /**
     * 联系方式
     */
    private String mobile;
    /**
     * 领域
     */
    private String domain;
    /**
     * 个人简介
     */
    private String personDesc;
    /**
     * 照片
     */
    private String img;
    /**
     * 照片url
     */
    private String imgUrl;
    /**
     * 状态 0-启用 1-禁用
     */
    private String state;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private String updateDate;

    public ExpertInfoRep(ExpertInfo entity) {
        this.setId(entity.getId());
        this.setExpertName(entity.getExpertName());
        this.setTypeId(entity.getTypeId());
        this.setAreaCode(entity.getAreaCode());
        this.setJob(entity.getJob());
        this.setMobile(entity.getMobile());
        this.setDomain(entity.getDomain());
        this.setPersonDesc(entity.getPersonDesc());
        this.setImg(entity.getImg());
        this.setState(entity.getState());
        this.setUpdateUser(entity.getUpdateUser());
    }

    public ExpertInfoRep() {

    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getExpertName() {
        return expertName;
    }

    public void setExpertName(String expertName) {
        this.expertName = expertName;
    }

    public String getTypeId() {
        return typeId;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getJob() {
        return job;
    }

    public void setJob(String job) {
        this.job = job;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getPersonDesc() {
        return personDesc;
    }

    public void setPersonDesc(String personDesc) {
        this.personDesc = personDesc;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }

    public String getTypeIdName() {
        return typeIdName;
    }

    public void setTypeIdName(String typeIdName) {
        this.typeIdName = typeIdName;
    }

    public String getAreaCodeName() {
        return areaCodeName;
    }

    public void setAreaCodeName(String areaCodeName) {
        this.areaCodeName = areaCodeName;
    }

    public String getDamId() {
        return damId;
    }

    public void setDamId(String damId) {
        this.damId = damId;
    }

    public String getDamIdName() {
        return damIdName;
    }

    public void setDamIdName(String damIdName) {
        this.damIdName = damIdName;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    @Override
    public String toString() {
        return "ExpertInfoRep{" +
                "id='" + id + '\'' +
                ", expertName='" + expertName + '\'' +
                ", typeId='" + typeId + '\'' +
                ", typeIdName='" + typeIdName + '\'' +
                ", areaCode='" + areaCode + '\'' +
                ", areaCodeName='" + areaCodeName + '\'' +
                ", damId='" + damId + '\'' +
                ", damIdName='" + damIdName + '\'' +
                ", job='" + job + '\'' +
                ", mobile='" + mobile + '\'' +
                ", domain='" + domain + '\'' +
                ", personDesc='" + personDesc + '\'' +
                ", img='" + img + '\'' +
                ", imgUrl='" + imgUrl + '\'' +
                ", state='" + state + '\'' +
                ", updateUser='" + updateUser + '\'' +
                ", updateDate='" + updateDate + '\'' +
                '}';
    }
}
