package com.hywa.map.representation;

import java.io.Serializable;
import java.util.List;

public class ExpertInfoReq implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 专家名称
     */
    private String expertName;
    /**
     * 专家类型id
     */
    private String typeId;
    /**
     * 所属区域编码
     */
    private String areaCode;
    /**
     * 所属坝区id
     */
    private String damId;
    /**
     * 专家职称
     */
    private String job;
    /**
     * 联系方式
     */
    private String mobile;
    /**
     * 领域
     */
    private String domain;
    /**
     * 个人简介
     */
    private String personDesc;
    /**
     * 照片
     */
    private String img;
    /**
     * 状态 0-启用 1-禁用
     */
    private String state;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getExpertName() {
        return expertName;
    }

    public void setExpertName(String expertName) {
        this.expertName = expertName;
    }

    public String getTypeId() {
        return typeId;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getJob() {
        return job;
    }

    public void setJob(String job) {
        this.job = job;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getPersonDesc() {
        return personDesc;
    }

    public void setPersonDesc(String personDesc) {
        this.personDesc = personDesc;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getDamId() {
        return damId;
    }

    public void setDamId(String damId) {
        this.damId = damId;
    }

    @Override
    public String toString() {
        return "ExpertInfoReq{" +
                "id='" + id + '\'' +
                ", expertName='" + expertName + '\'' +
                ", typeId='" + typeId + '\'' +
                ", areaCode='" + areaCode + '\'' +
                ", damId='" + damId + '\'' +
                ", job='" + job + '\'' +
                ", mobile='" + mobile + '\'' +
                ", domain='" + domain + '\'' +
                ", personDesc='" + personDesc + '\'' +
                ", img='" + img + '\'' +
                ", state='" + state + '\'' +
                '}';
    }
}
