package com.hywa.map.representation;

import com.hywa.map.dao.entity.SysDict;

import java.io.Serializable;

public class FarmTypeDictRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 父节点
     */
    private String pid;
    /**
     * 主键id
     */
    private String id;
    /**
     * 字典名称
     */
    private String text;

    public FarmTypeDictRep(SysDict sysDict) {
        this.setId("#".equals(sysDict.getParentId()) ? "" : sysDict.getId());
        this.setPid("#".equals(sysDict.getParentId()) ? "-1" : "");
        this.setText(sysDict.getDictName());
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    @Override
    public String toString() {
        return "FarmTypeDictRep{" +
                "pid='" + pid + '\'' +
                ", id='" + id + '\'' +
                ", text='" + text + '\'' +
                '}';
    }
}


