package com.hywa.map.representation;

import java.io.Serializable;

/**
 * 果园统计信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class GisParkRep implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 行政区域ID
     */
    private String posId;
    /**
     * 显示名称
     */
    private String viewName;
    /**
     * 显示值
     */
    private int viewVal;
    /**
     * 地理经度
     */
    private String posLon;
    /**
     * 地理纬度
     */
    private String posLat;

    public String getPosId() {
        return posId;
    }

    public void setPosId(String posId) {
        this.posId = posId;
    }

    public String getViewName() {
        return viewName;
    }

    public void setViewName(String viewName) {
        this.viewName = viewName;
    }

    public int getViewVal() {
        return viewVal;
    }

    public void setViewVal(int viewVal) {
        this.viewVal = viewVal;
    }

    public String getPosLon() {
        return posLon;
    }

    public void setPosLon(String posLon) {
        this.posLon = posLon;
    }

    public String getPosLat() {
        return posLat;
    }

    public void setPosLat(String posLat) {
        this.posLat = posLat;
    }

    @Override
    public String toString() {
        return "GisParkRep{" +
                "posId='" + posId + '\'' +
                ", viewName='" + viewName + '\'' +
                ", viewVal=" + viewVal +
                ", posLon='" + posLon + '\'' +
                ", posLat='" + posLat + '\'' +
                '}';
    }
}

