package com.hywa.map.representation;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 相对湿度天信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class HumiDay implements Serializable {

    private static final long serialVersionUID = 1L;
    private Object avgValue;//平均值
    private List<Environ> humiD = new ArrayList<Environ>();//相对湿度天

    public Object getAvgValue() {
        return avgValue;
    }

    public void setAvgValue(Object avgValue) {
        this.avgValue = avgValue;
    }

    public List<Environ> getHumiD() {
        return humiD;
    }

    public void setHumiD(List<Environ> humiD) {
        this.humiD = humiD;
    }

    @Override
    public String toString() {
        return "HumiDay{" +
                "avgValue=" + avgValue +
                ", humiD=" + humiD +
                '}';
    }
}

