package com.hywa.map.representation;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 光照度天信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class IlluDay implements Serializable {

    private static final long serialVersionUID = 1L;
    private Object avgValue;//平均值
    private List<Environ> illuD = new ArrayList<Environ>();//光照度天

    public Object getAvgValue() {
        return avgValue;
    }

    public void setAvgValue(Object avgValue) {
        this.avgValue = avgValue;
    }

    public List<Environ> getIlluD() {
        return illuD;
    }

    public void setIlluD(List<Environ> illuD) {
        this.illuD = illuD;
    }

    @Override
    public String toString() {
        return "IlluDay{" +
                "avgValue=" + avgValue +
                ", illuD=" + illuD +
                '}';
    }
}

