package com.hywa.map.representation;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 光照度小时信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class IlluHour implements Serializable {

    private static final long serialVersionUID = 1L;
    private Object maxValue;//最大值
    private Object minValue;//最小值
    private List<Environ> illuH = new ArrayList<Environ>();//光照度小时

    public Object getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(Object maxValue) {
        this.maxValue = maxValue;
    }

    public Object getMinValue() {
        return minValue;
    }

    public void setMinValue(Object minValue) {
        this.minValue = minValue;
    }

    public List<Environ> getIlluH() {
        return illuH;
    }

    public void setIlluH(List<Environ> illuH) {
        this.illuH = illuH;
    }

    @Override
    public String toString() {
        return "IlluHour{" +
                "maxValue=" + maxValue +
                ", minValue=" + minValue +
                ", illuH=" + illuH +
                '}';
    }
}

