package com.hywa.map.representation;

import java.io.Serializable;
import java.util.List;

public class MapDamListRep implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 坝区id
     */
    private String id;
    /**
     * 坝区名称
     */
    private String name;
    /**
     * 值列表
     */
    private List<MapPriceValueRep> info;
    /**
     * url
     */
    private String url;
    /**
     * 经纬度
     */
    private List<String> lnglat;
    /**
     * 图列编号
     */
    //private int legend;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<MapPriceValueRep> getInfo() {
        return info;
    }

    public void setInfo(List<MapPriceValueRep> info) {
        this.info = info;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public List<String> getLnglat() {
        return lnglat;
    }

    public void setLnglat(List<String> lnglat) {
        this.lnglat = lnglat;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "MapDamListRep{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", info=" + info +
                ", url='" + url + '\'' +
                ", lnglat=" + lnglat +
                '}';
    }
}
