package com.hywa.map.representation;

import java.io.Serializable;
import java.util.List;

public class MapDamStatisReps implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 区域名称
     */
    String id;
    /**
     * 标题
     */
    String title;
    /**
     * 统计数
     */
    String total;
    /**
     * 统计数标题
     */
    String totalName;
    List<MapMerchantRep> list;

    public MapDamStatisReps(List<MapMerchantRep> list) {
        this.setList(list);
    }

    public MapDamStatisReps() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public String getTotalName() {
        return totalName;
    }

    public void setTotalName(String totalName) {
        this.totalName = totalName;
    }

    public List<MapMerchantRep> getList() {
        return list;
    }

    public void setList(List<MapMerchantRep> list) {
        this.list = list;
    }

    @Override
    public String toString() {
        return "MapDamStatisReps{" +
                "id='" + id + '\'' +
                ", title='" + title + '\'' +
                ", total='" + total + '\'' +
                ", totalName='" + totalName + '\'' +
                ", list=" + list +
                '}';
    }
}


