package com.hywa.map.representation;

import java.io.Serializable;

public class MapDomainCoverRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;

    /**
     * id
     */
    private String id;
    /**
     * 类型
     */
    private String type;
    /**
     * 地理位置
     */
    private MapDomainPosRep position;
    /**
     * 图列编号
     */
    private String legend;
    /**
     * 显示样式
     */
    private MapDomainStyleRep style;
    /**
     * 具体数值
     */
    private String value;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public MapDomainPosRep getPosition() {
        return position;
    }

    public void setPosition(MapDomainPosRep position) {
        this.position = position;
    }

    public String getLegend() {
        return legend;
    }

    public void setLegend(String legend) {
        this.legend = legend;
    }

    public MapDomainStyleRep getStyle() {
        return style;
    }

    public void setStyle(MapDomainStyleRep style) {
        this.style = style;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    @Override
    public String toString() {
        return "MapDomainCoverRep{" +
                "id='" + id + '\'' +
                ", type='" + type + '\'' +
                ", position=" + position +
                ", legend='" + legend + '\'' +
                ", style=" + style +
                ", value='" + value + '\'' +
                '}';
    }
}


