package com.hywa.map.representation;

import java.io.Serializable;
import java.util.List;

public class MapGeogReps implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;

    String id;
    /**
     * 标题
     */
    String title;
    /**
     * 简介
     */
    String introduce;

    List<MapMerchantRep> list;

    public MapGeogReps(List<MapMerchantRep> list) {
        this.setList(list);
    }

    public MapGeogReps() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getIntroduce() {
        return introduce;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public List<MapMerchantRep> getList() {
        return list;
    }

    public void setList(List<MapMerchantRep> list) {
        this.list = list;
    }

    @Override
    public String toString() {
        return "MapGeogReps{" +
                "id='" + id + '\'' +
                ", title='" + title + '\'' +
                ", introduce='" + introduce + '\'' +
                ", list=" + list +
                '}';
    }
}


