package com.hywa.map.representation;

import com.hywa.map.dao.entity.MapInfo;

import java.io.Serializable;

public class MapInfoRep implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 大屏名称
     */
    private String mapName;
    /**
     * 大屏描述
     */
    private String mapDesc;
    /**
     * 大屏框架模版id
     */
    private String templateId;
    /**
     * 状态 0-未发布 1-已发布 2-撤回
     */
    private String state;
    /**
     * 修改人
     */
    private String url;
    /**
     * 修改人
     */
    private String img;
    public MapInfoRep() {

    }

    public MapInfoRep(MapInfo entity) {
        this.setId(entity.getId());
        this.setMapName(entity.getMapName());
        this.setMapDesc(entity.getMapDesc());
        this.setTemplateId(entity.getTemplateId());
        this.setState(entity.getState());
        this.setUrl(entity.getUrl());
        this.setImg(entity.getImg());
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMapName() {
        return mapName;
    }

    public void setMapName(String mapName) {
        this.mapName = mapName;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getMapDesc() {
        return mapDesc;
    }

    public void setMapDesc(String mapDesc) {
        this.mapDesc = mapDesc;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    @Override
    public String toString() {
        return "MapInfoRep{" +
                "id='" + id + '\'' +
                ", mapName='" + mapName + '\'' +
                ", mapDesc='" + mapDesc + '\'' +
                ", templateId='" + templateId + '\'' +
                ", state='" + state + '\'' +
                ", url='" + url + '\'' +
                ", img='" + img + '\'' +
                '}';
    }
}
