package com.hywa.map.representation;

import java.io.Serializable;

public class MapModuleDataReq implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private int id;
    /**
     * 大屏id
     */
    private String mapId;
    /**
     * 组件编码
     */
    private String moduleCode;
    /**
     * 数据样式 1-API 2-数据库 3-CSV数据表 4-静态数据
     */
    private int dataType;
    /**
     * 数据源名称
     */
    private String sourceName;
    /**
     * 组件数据
     */
    private String content;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getModuleCode() {
        return moduleCode;
    }

    public void setModuleCode(String moduleCode) {
        this.moduleCode = moduleCode;
    }

    public int getDataType() {
        return dataType;
    }

    public void setDataType(int dataType) {
        this.dataType = dataType;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getMapId() {
        return mapId;
    }

    public void setMapId(String mapId) {
        this.mapId = mapId;
    }

    @Override
    public String toString() {
        return "MapModuleDataReq{" +
                "id=" + id +
                ", mapId='" + mapId + '\'' +
                ", moduleCode='" + moduleCode + '\'' +
                ", dataType=" + dataType +
                ", sourceName='" + sourceName + '\'' +
                ", content='" + content + '\'' +
                '}';
    }
}
