package com.hywa.map.representation;

import java.io.Serializable;
import java.util.List;

public class MapWarningReps implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;

    String id;
    /**
     * 预警标题
     */
    String title;
    /**
     * 预警详情
     */
    String des;
    List<MapWarningRep> list;

    public MapWarningReps(List<MapWarningRep> list) {
        this.setList(list);
    }

    public MapWarningReps() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDes() {
        return des;
    }

    public void setDes(String des) {
        this.des = des;
    }

    public List<MapWarningRep> getList() {
        return list;
    }

    public void setList(List<MapWarningRep> list) {
        this.list = list;
    }

    @Override
    public String toString() {
        return "MapWarningReps{" +
                "id='" + id + '\'' +
                ", title='" + title + '\'' +
                ", des='" + des + '\'' +
                ", list=" + list +
                '}';
    }
}


