package com.hywa.map.representation;

import com.hywa.map.dao.entity.OrchardProduct;

import java.io.Serializable;
import java.util.List;

public class OrchardViewRep implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 园区编码标题
     */
    private String orchardCodeTitle;
    /**
     * 园区编码
     */
    private String orchardCode;
    /**
     * 园区名称标题
     */
    private String orchardNameTitle;
    /**
     * 园区名称
     */
    private String orchardName;
    /**
     * 园区面积(平方米)标题
     */
    private String orchardAreaTitle;
    /**
     * 园区面积(平方米)
     */
    private String orchardArea;
    /**
     * 行业类型 01-农业 02-林业 03-畜牧业 04-渔业 05-农林牧渔服务业
     */
    private String induType;
    /**
     * 行业类型标题
     */
    private String induTypeNameTitle;
    /**
     * 行业类型 01-农业 02-林业 03-畜牧业 04-渔业 05-农林牧渔服务业
     */
    private String induTypeName;
    /**
     * 人员数标题
     */
    private String workerCountTitle;
    /**
     * 人员数
     */
    private String workerCount;
    /**
     * 建园开始日期标题
     */
    private String beginDateTitle;
    /**
     * 建园开始日期
     */
    private String beginDate;
    /**
     * 建园结束日期
     */
    private String endDate;
    /**
     * 负责人标题
     */
    private String leaderNameTitle;
    /**
     * 负责人
     */
    private String leaderName;
    /**
     * 联系电话标题
     */
    private String telNoTitle;
    /**
     * 联系电话
     */
    private String telNo;
    /**
     * 海拔标题
     */
    private String elevationTitle;
    /**
     * 海拔
     */
    private String elevation;
    /**
     * 园区简介
     */
    private String orchardDesc;
    //产出物信息
    private String productName;
    //产出物信息
    private List<OrchardProduct> products;
    /**
     * 地址标题
     */
    private String addressTitle;
    /**
     * 地址
     */
    private String address;
    /**
     * 省id
     */
    private String provinceId;
    /**
     * 省名称
     */
    private String provinceName;
    /**
     * 市id
     */
    private String cityId;
    /**
     * 市名称
     */
    private String cityName;
    /**
     * 县id
     */
    private String countyId;
    /**
     * 县名称
     */
    private String countyName;
    /**
     * 镇id
     */
    private String townId;
    /**
     * 镇名称
     */
    private String townName;
    /**
     * 村id
     */
    private String villageId;
    /**
     * 村名称
     */
    private String villageName;
    /**
     * 经度名称
     */
    private String longitudeTitle;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度名称
     */
    private String latitudeTitle;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 园区边界
     */
    private List<String[]> orchardBorder;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrchardCode() {
        return orchardCode;
    }

    public void setOrchardCode(String orchardCode) {
        this.orchardCode = orchardCode;
    }

    public String getOrchardName() {
        return orchardName;
    }

    public void setOrchardName(String orchardName) {
        this.orchardName = orchardName;
    }

    public String getOrchardArea() {
        return orchardArea;
    }

    public void setOrchardArea(String orchardArea) {
        this.orchardArea = orchardArea;
    }

    public String getInduType() {
        return induType;
    }

    public void setInduType(String induType) {
        this.induType = induType;
    }

    public String getWorkerCount() {
        return workerCount;
    }

    public void setWorkerCount(String workerCount) {
        this.workerCount = workerCount;
    }

    public String getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(String beginDate) {
        this.beginDate = beginDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getLeaderName() {
        return leaderName;
    }

    public void setLeaderName(String leaderName) {
        this.leaderName = leaderName;
    }

    public String getTelNo() {
        return telNo;
    }

    public void setTelNo(String telNo) {
        this.telNo = telNo;
    }

    public String getElevation() {
        return elevation;
    }

    public void setElevation(String elevation) {
        this.elevation = elevation;
    }

    public String getOrchardDesc() {
        return orchardDesc;
    }

    public void setOrchardDesc(String orchardDesc) {
        this.orchardDesc = orchardDesc;
    }

    public List<OrchardProduct> getProducts() {
        return products;
    }

    public void setProducts(List<OrchardProduct> products) {
        this.products = products;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCountyId() {
        return countyId;
    }

    public void setCountyId(String countyId) {
        this.countyId = countyId;
    }

    public String getTownId() {
        return townId;
    }

    public void setTownId(String townId) {
        this.townId = townId;
    }

    public String getVillageId() {
        return villageId;
    }

    public void setVillageId(String villageId) {
        this.villageId = villageId;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public List<String[]> getOrchardBorder() {
        return orchardBorder;
    }

    public void setOrchardBorder(List<String[]> orchardBorder) {
        this.orchardBorder = orchardBorder;
    }

    public String getInduTypeName() {
        return induTypeName;
    }

    public void setInduTypeName(String induTypeName) {
        this.induTypeName = induTypeName;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getOrchardNameTitle() {
        return orchardNameTitle;
    }

    public void setOrchardNameTitle(String orchardNameTitle) {
        this.orchardNameTitle = orchardNameTitle;
    }

    public String getOrchardCodeTitle() {
        return orchardCodeTitle;
    }

    public void setOrchardCodeTitle(String orchardCodeTitle) {
        this.orchardCodeTitle = orchardCodeTitle;
    }

    public String getOrchardAreaTitle() {
        return orchardAreaTitle;
    }

    public void setOrchardAreaTitle(String orchardAreaTitle) {
        this.orchardAreaTitle = orchardAreaTitle;
    }

    public String getInduTypeNameTitle() {
        return induTypeNameTitle;
    }

    public void setInduTypeNameTitle(String induTypeNameTitle) {
        this.induTypeNameTitle = induTypeNameTitle;
    }

    public String getWorkerCountTitle() {
        return workerCountTitle;
    }

    public void setWorkerCountTitle(String workerCountTitle) {
        this.workerCountTitle = workerCountTitle;
    }

    public String getBeginDateTitle() {
        return beginDateTitle;
    }

    public void setBeginDateTitle(String beginDateTitle) {
        this.beginDateTitle = beginDateTitle;
    }

    public String getLeaderNameTitle() {
        return leaderNameTitle;
    }

    public void setLeaderNameTitle(String leaderNameTitle) {
        this.leaderNameTitle = leaderNameTitle;
    }

    public String getTelNoTitle() {
        return telNoTitle;
    }

    public void setTelNoTitle(String telNoTitle) {
        this.telNoTitle = telNoTitle;
    }

    public String getElevationTitle() {
        return elevationTitle;
    }

    public void setElevationTitle(String elevationTitle) {
        this.elevationTitle = elevationTitle;
    }

    public String getAddressTitle() {
        return addressTitle;
    }

    public void setAddressTitle(String addressTitle) {
        this.addressTitle = addressTitle;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public String getTownName() {
        return townName;
    }

    public void setTownName(String townName) {
        this.townName = townName;
    }

    public String getVillageName() {
        return villageName;
    }

    public void setVillageName(String villageName) {
        this.villageName = villageName;
    }

    public String getLongitudeTitle() {
        return longitudeTitle;
    }

    public void setLongitudeTitle(String longitudeTitle) {
        this.longitudeTitle = longitudeTitle;
    }

    public String getLatitudeTitle() {
        return latitudeTitle;
    }

    public void setLatitudeTitle(String latitudeTitle) {
        this.latitudeTitle = latitudeTitle;
    }

    @Override
    public String toString() {
        return "OrchardViewRep{" +
                "id='" + id + '\'' +
                ", orchardCodeTitle='" + orchardCodeTitle + '\'' +
                ", orchardCode='" + orchardCode + '\'' +
                ", orchardNameTitle='" + orchardNameTitle + '\'' +
                ", orchardName='" + orchardName + '\'' +
                ", orchardAreaTitle='" + orchardAreaTitle + '\'' +
                ", orchardArea='" + orchardArea + '\'' +
                ", induType='" + induType + '\'' +
                ", induTypeNameTitle='" + induTypeNameTitle + '\'' +
                ", induTypeName='" + induTypeName + '\'' +
                ", workerCountTitle='" + workerCountTitle + '\'' +
                ", workerCount='" + workerCount + '\'' +
                ", beginDateTitle='" + beginDateTitle + '\'' +
                ", beginDate='" + beginDate + '\'' +
                ", endDate='" + endDate + '\'' +
                ", leaderNameTitle='" + leaderNameTitle + '\'' +
                ", leaderName='" + leaderName + '\'' +
                ", telNoTitle='" + telNoTitle + '\'' +
                ", telNo='" + telNo + '\'' +
                ", elevationTitle='" + elevationTitle + '\'' +
                ", elevation='" + elevation + '\'' +
                ", orchardDesc='" + orchardDesc + '\'' +
                ", productName='" + productName + '\'' +
                ", products=" + products +
                ", addressTitle='" + addressTitle + '\'' +
                ", address='" + address + '\'' +
                ", provinceId='" + provinceId + '\'' +
                ", provinceName='" + provinceName + '\'' +
                ", cityId='" + cityId + '\'' +
                ", cityName='" + cityName + '\'' +
                ", countyId='" + countyId + '\'' +
                ", countyName='" + countyName + '\'' +
                ", townId='" + townId + '\'' +
                ", townName='" + townName + '\'' +
                ", villageId='" + villageId + '\'' +
                ", villageName='" + villageName + '\'' +
                ", longitudeTitle='" + longitudeTitle + '\'' +
                ", longitude='" + longitude + '\'' +
                ", latitudeTitle='" + latitudeTitle + '\'' +
                ", latitude='" + latitude + '\'' +
                ", orchardBorder=" + orchardBorder +
                '}';
    }
}
