package com.hywa.map.representation;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 降水量天信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class PrecDay implements Serializable {

    private static final long serialVersionUID = 1L;
    private Object avgValue;//平均值
    private List<Environ> precD = new ArrayList<Environ>();//降水量天

    public Object getAvgValue() {
        return avgValue;
    }

    public void setAvgValue(Object avgValue) {
        this.avgValue = avgValue;
    }

    public List<Environ> getPrecD() {
        return precD;
    }

    public void setPrecD(List<Environ> precD) {
        this.precD = precD;
    }

    @Override
    public String toString() {
        return "PrecDay{" +
                "avgValue=" + avgValue +
                ", precD=" + precD +
                '}';
    }
}

