package com.hywa.map.representation;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 降水量小时信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class PrecHour implements Serializable {

    private static final long serialVersionUID = 1L;
    private Object sumValue;//总和值
    private List<Environ> precH = new ArrayList<Environ>();//降水量小时

    public Object getSumValue() {
        return sumValue;
    }

    public void setSumValue(Object sumValue) {
        this.sumValue = sumValue;
    }

    public List<Environ> getPrecH() {
        return precH;
    }

    public void setPrecH(List<Environ> precH) {
        this.precH = precH;
    }

    @Override
    public String toString() {
        return "PrecHour{" +
                "sumValue=" + sumValue +
                ", precH=" + precH +
                '}';
    }
}

