package com.hywa.map.representation;

import com.hywa.map.dao.entity.SysDict;

import java.io.Serializable;

public class ProductDictRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 农投品产品id
     */
    private String productId;
    /**
     * 农投品产品名称
     */
    private String productName;

    public ProductDictRep(SysDict sysDict) {
        this.setProductId(sysDict.getId());
        this.setProductName(sysDict.getDictName());
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    @Override
    public String toString() {
        return "ProductDictRep{" +
                "productId='" + productId + '\'' +
                ", productName='" + productName + '\'' +
                '}';
    }
}


