package com.hywa.map.representation;

import java.io.Serializable;
import java.util.List;

public class SysDictReq implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 库id
     */
    private String libId;
    /**
     * 上级id
     */
    private String parentId;
    /**
     * 字典名称
     */
    private String dictName;
    /**
     * 字典编码
     */
    private String dictCode;
    /**
     * 备注
     */
    private String remark;
    /**
     * 当前用户id
     */
    private String userId;
    /**
     * 标签
     */
    private List<String> labels;
    /**
     * 当前用户名称
     */
    private String userName;
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getDictName() {
        return dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getDictCode() {
        return dictCode;
    }

    public void setDictCode(String dictCode) {
        this.dictCode = dictCode;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public List<String> getLabels() {
        return labels;
    }

    public void setLabels(List<String> labels) {
        this.labels = labels;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Override
    public String toString() {
        return "SysDictReq{" +
                "id='" + id + '\'' +
                ", libId='" + libId + '\'' +
                ", parentId='" + parentId + '\'' +
                ", dictName='" + dictName + '\'' +
                ", dictCode='" + dictCode + '\'' +
                ", remark='" + remark + '\'' +
                ", userId='" + userId + '\'' +
                ", labels=" + labels +
                ", userName='" + userName + '\'' +
                '}';
    }
}
