package com.hywa.map.representation;

import java.io.Serializable;

/**
 * 获取天气信息 当前天气实体类
 * @create by 2018-08-06 15:02:49
 * @author hywa
 */
public class TodayWeather implements Serializable {

  private static final long serialVersionUID = 1L;
  private String cityName;//城市名称
  private String currDate;//当前日期
  private String week;//星期几
  private String luanr;//农历
  private String maxTemp;//最高温度
  private String minTemp;//最低温度
  private String temperature;//实时温度
  private String weather;//天气现象
  private String windDirePower;//风向风速

  public String getCityName() {
    return cityName;
  }

  public void setCityName(String cityName) {
    this.cityName = cityName;
  }

  public String getCurrDate() {
    return currDate;
  }

  public void setCurrDate(String currDate) {
    this.currDate = currDate;
  }

  public String getWeek() {
    return week;
  }

  public void setWeek(String week) {
    this.week = week;
  }

  public String getLuanr() {
    return luanr;
  }

  public void setLuanr(String luanr) {
    this.luanr = luanr;
  }

  public String getMaxTemp() {
    return maxTemp;
  }

  public void setMaxTemp(String maxTemp) {
    this.maxTemp = maxTemp;
  }

  public String getMinTemp() {
    return minTemp;
  }

  public void setMinTemp(String minTemp) {
    this.minTemp = minTemp;
  }

  public String getTemperature() {
    return temperature;
  }

  public void setTemperature(String temperature) {
    this.temperature = temperature;
  }

  public String getWeather() {
    return weather;
  }

  public void setWeather(String weather) {
    this.weather = weather;
  }

  public String getWindDirePower() {
    return windDirePower;
  }

  public void setWindDirePower(String windDirePower) {
    this.windDirePower = windDirePower;
  }

  @Override
  public String toString() {
    return "TodayWeather{" +
            "cityName='" + cityName + '\'' +
            ", currDate='" + currDate + '\'' +
            ", week='" + week + '\'' +
            ", luanr='" + luanr + '\'' +
            ", maxTemp='" + maxTemp + '\'' +
            ", minTemp='" + minTemp + '\'' +
            ", temperature='" + temperature + '\'' +
            ", weather='" + weather + '\'' +
            ", windDirePower='" + windDirePower + '\'' +
            '}';
  }
}

