package com.hywa.map.representation;

import com.hywa.map.dao.entity.TopicDbItem;

import java.io.Serializable;

public class TopicDbItemRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 主键
     */
    private String id;
    /**
     * 数据库名称
     */
    private String itemName;
    /**
     * 备注
     */
    private String remark;

    public TopicDbItemRep(TopicDbItem entity) {
        this.setId(entity.getId());
        this.setItemName(entity.getItemName());
        this.setRemark(entity.getRemark());
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "TopicDbItemRep{" +
                "id='" + id + '\'' +
                ", itemName='" + itemName + '\'' +
                ", remark='" + remark + '\'' +
                '}';
    }
}


