package com.hywa.map.representation;

import java.io.Serializable;

public class TopicDetailRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 主键
     */
    private String id;
    /**
     * 专题名称
     */
    private String topicName;
    /**
     * 专题说明
     */
    private String topicDesc;
    /**
     * 数据源id
     */
    private String sourceId;
    /**
     * 数据源名称
     */
    private String sourceIdName;
    /**
     * 展现形式 1:气泡 2:点状 3:箭头
     */
    private int showType;
    /**
     * 分布点名称
     */
    private String pointName;
    /**
     * 地址
     */
    private String address;
    /**
     * 展示地址
     */
    private String showUrl;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTopicName() {
        return topicName;
    }

    public void setTopicName(String topicName) {
        this.topicName = topicName;
    }

    public String getTopicDesc() {
        return topicDesc;
    }

    public void setTopicDesc(String topicDesc) {
        this.topicDesc = topicDesc;
    }

    public String getSourceId() {
        return sourceId;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId;
    }

    public String getSourceIdName() {
        return sourceIdName;
    }

    public void setSourceIdName(String sourceIdName) {
        this.sourceIdName = sourceIdName;
    }

    public int getShowType() {
        return showType;
    }

    public void setShowType(int showType) {
        this.showType = showType;
    }

    public String getPointName() {
        return pointName;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getShowUrl() {
        return showUrl;
    }

    public void setShowUrl(String showUrl) {
        this.showUrl = showUrl;
    }

    @Override
    public String toString() {
        return "TopicDetailRep{" +
                "id='" + id + '\'' +
                ", topicName='" + topicName + '\'' +
                ", topicDesc='" + topicDesc + '\'' +
                ", sourceId='" + sourceId + '\'' +
                ", sourceIdName='" + sourceIdName + '\'' +
                ", showType=" + showType +
                ", pointName='" + pointName + '\'' +
                ", address='" + address + '\'' +
                ", showUrl='" + showUrl + '\'' +
                '}';
    }
}


