package com.hywa.map.representation;

import java.io.Serializable;
import java.util.List;

public class TopicTemplateFieldReps implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    Long total;
    String templateName;
    List<TopicDbFieldRep> list;

    public TopicTemplateFieldReps(Long total, List<TopicDbFieldRep> list) {
        this.setTotal(total);
        this.setList(list);
    }

    public Long getTotal() {
        return total;
    }

    public void setTotal(Long total) {
        this.total = total;
    }

    public List<TopicDbFieldRep> getList() {
        return list;
    }

    public void setList(List<TopicDbFieldRep> list) {
        this.list = list;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    @Override
    public String toString() {
        return "TopicTemplateFieldReps{" +
                "total=" + total +
                ", templateName='" + templateName + '\'' +
                ", list=" + list +
                '}';
    }
}


