package com.hywa.map.representation;

import java.io.Serializable;

public class UserAdviceReq implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 反馈类型 0-功能异常 1-体验问题 2-新功能建议 3-其他
     */
    private String adviceType;
    /**
     * 内容
     */
    private String content;
    /**
     * 文件列表
     */
    private String fileName;
    /**
     * 用户id
     */
    private String userId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAdviceType() {
        return adviceType;
    }

    public void setAdviceType(String adviceType) {
        this.adviceType = adviceType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "UserAdviceReq{" +
                "id='" + id + '\'' +
                ", adviceType='" + adviceType + '\'' +
                ", content='" + content + '\'' +
                ", fileName='" + fileName + '\'' +
                ", userId='" + userId + '\'' +
                '}';
    }
}
