package com.hywa.map.service.expert;

import com.hywa.map.representation.*;
import org.springframework.web.multipart.MultipartFile;

/**
* sys_dict  对应ServiceInterface 接口类
* @create by 2018-12-13 13:41:59
* @author hywa
*/ 
public interface AreaDataService {
    void importXls(MultipartFile file, String userId);
    AreaDataReps queryAll(int pageNo, int pageSize, String areaName, String dataType, String dataName,String dataTime);
    AreaDataDetailRep queryById(String id);
    String exportXls(String id);
    int delete(DamInfoReq reqInfo, String userId);
    int updateIsShow(DamInfoReq reqInfo,String userId);
    AreaDataRep queryShow(String areaName, String dataType);
    AreaDataRep queryDisplay(String areaName, String dataType);
    AreaDataPriceReps queryPrice(int pageNo, int pageSize, String beginDate, String endDate, String cateName, String areaName);
    SysAreaReps queryAreaBySn(String sn);
    AreaDataPriceReps queryPriceRate(int pageNo, int pageSize, String beginDate, String endDate, String cateName, String areaName,String dataId);
}

