package com.hywa.map.service.login;

import com.hywa.map.representation.*;

import java.util.List;

public interface MenuService {

    int save(MenuRep menuRep);

    int delete(String id);

    int update(MenuRep menuRep);

    List<MenuRep> getChildren(String userId, String menuId);

    List<MenuRep> getMenuTreeByUserId(String menuId, String requestMode);

    List<MenuRep> selectMenusByRoleId(String roleId,String userId,String userName);

    List<MenuRep> getMenuAllTree(String roleId,String type);
    
    List<MenuRep> findMenuAllTree();
    
    MenuReps search( int pageNo, int pageSize,String name,String id,String menuName);
    
    short findSortByParentId(String parentId);
    
    boolean nameIsEmpty(String username,String id);

    List<MenuRep> getAreaMenuTree(String userId,String type);

    List<MenuRep> getMenuAllTreeByRegionId(String roleId,String type,String regionId);

    List<MenuRep> getAreaMenuTreeByRegionId(String userId,String type,String regionId);

    MenuSysReps getMenuByRole(String roleId);

    void saveRoleMenu(MenuReq menuReq);

    List<MenuRep> getMenuTreeBySysId(String userId,String sysId);

    ButtonReps selectButtonByMenuId(String menuId,String userId);

    ButtonRep getUserButtons(String userId, String menuId);

    MenuReps searchSubMenu();

    List<MenuItemRep> getUserMenuTreeByUserId(String userId,String sysId);
}
