package com.hywa.map.service.tracing;


import com.hywa.map.representation.*;

import java.util.List;

/**
* 可追溯系统  对应ServiceInterface 接口类
* @create by 2018-12-13 13:41:59
* @author hywa
*/ 
public interface TracingService {
    //果树分类
    SysDictReps getFruitType();
    //果树列表
    SysDictReps getFruitTree(String id);
    //农事类型
    SysDictReps getFarmType();
    //种植方式
    SysDictReps getPlantingType();
    //包装规格
    SysDictReps getPackageType();
    //计量单位
    SysDictReps getDosageUnit();
    //灾害类型
    SysDictReps getDisasterType();
    List<SysDictRep> getSysDictList(String libCode,String dictCode,int codeLength,String parentId);
}

