package com.hywa.map.common.exception;

public class GlobalException extends RuntimeException {


    private Short errorCode;

    private String userName;
    private String menuName;

    public GlobalException(String errorMessage) {
        super(errorMessage);
    }

    public GlobalException(Short errCode, String errorMessage) {
        this(errorMessage);
        this.setErrorCode(errCode);
    }
    public GlobalException(Short errCode, String errorMessage, String userName) {
        this(errorMessage);
        this.setErrorCode(errCode);
        this.setUserName(userName);
    }
    public GlobalException(Short errCode, String errorMessage, String userName,String menuName) {
        this(errorMessage);
        this.setErrorCode(errCode);
        this.setUserName(userName);
        this.setMenuName(menuName);
    }
    public Short getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(Short errorCode) {
        this.errorCode = errorCode;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }
}