package com.hywa.map.common.reverseSQL;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.util.List;


/**
 * @ClassName: CreateHtmlUtils  
 * @Description: Java 根据模板创建 html
 * @author 
 * @date 2016年4月22日 下午3:51:16
 */
public class CreateHtmlUtils {
    
    public static void main(String[] args) {
        String filePath = "F://pkwork/boot/src/main/java/com/boot/common/utils/reverseSQL/template.html";
       // String imagePath ="http://localhost:8080/ecp/upload/1461293787628/1461293787628.jpg";
        String disrPath = "F://pkwork/boot/src/main/resources/templates/huwa";
        String fileName = "lym";
        MakeHtml(filePath,disrPath,fileName,null);
    }
    /**
     * @Title: MakeHtml 
     * @Description: 创建html
     * @param    filePath 设定模板文件
     * @param    disrPath  生成html的存放路径
     * @param    fileName  生成html名字 
     *  @param   list  替换的数据
     * @return void    返回类型 
     * @throws
     */
    public static void MakeHtml(String filePath,String disrPath,String fileName,List<String>list ){
        try {
           
            System.out.print(filePath);
            String templateContent = "";
            FileInputStream fileinputstream = new FileInputStream(filePath);// 读取模板文件
            int lenght = fileinputstream.available();
            byte bytes[] = new byte[lenght];
            fileinputstream.read(bytes);
            fileinputstream.close();
            templateContent = new String(bytes);
            System.out.print(templateContent);
            for (int i=0;i<list.size();i++){
            	 templateContent = templateContent.replaceAll("#replace"+i, list.get(i));
			}
           
            System.out.print(templateContent);
            
            String fileame = fileName + ".html";
            fileame = disrPath+"/" + fileame;// 生成的html文件保存路径。
            FileOutputStream fileoutputstream = new FileOutputStream(fileame);// 建立文件输出流
            System.out.print("文件输出路径:");
            System.out.print(fileame);
            byte tag_bytes[] = templateContent.getBytes();
            fileoutputstream.write(tag_bytes);
            fileoutputstream.close();
        } catch (Exception e) {
            System.out.print(e.toString());
        }
    }
    
    
}