package com.hywa.map.config.interceptor;

/**
 * 权限策略上下文控制类
 */
public class AuthContext {

    private AuthStrategy authStrategy;

    public AuthContext(AuthStrategy strategy) {
        this.authStrategy = strategy;
    }

    /**
     * 执行策略
     */
    public boolean execute(String userId,String servletPath) throws Exception {
        return this.authStrategy.executeAuth(userId, servletPath);
    }
}
