package com.hywa.map.dao.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * t_act_base 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-02-25 14:02:30
 */
public class ActBase implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 行政处罚决定案号
     */
    private String exeNo;
    /**
     * 案件名称
     */
    private String caseName;
    /**
     * 违规类型
     */
    private String typeId;
    /**
     * 违规等级
     */
    private String levelId;
    /**
     * 行政处罚机关名称
     */
    private String organId;
    /**
     * 行政处罚日期
     */
    private Date exeDate;
    /**
     * 进度状态
     */
    private String dealStateId;
    /**
     * 发布状态 0-未发布 1-已发布 2-撤回
     */
    private String state;
    /**
     * 行政处罚依据
     */
    private String proof;
    /**
     * 违法事实
     */
    private String fact;
    /**
     * 行政处罚履行方式及期限
     */
    private String exeWay;
    /**
     * 备注
     */
    private String remark;
    /**
     * 是否删除 0-未删除 1-已删除
     */
    private int isDel;
    /**
     * 发布时间
     */
    private Date publishTime;
    /**
     * 发布人
     */
    private String publishUser;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private Date updateDate;
    /**
     * 抽检时间
     */
    private Date checkDate;
    /**
     * 抽检人
     */
    private String checkUser;
    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setExeNo(String exeNo) {
        this.exeNo = exeNo;
    }

    public String getExeNo() {
        return exeNo;
    }

    public void setCaseName(String caseName) {
        this.caseName = caseName;
    }

    public String getCaseName() {
        return caseName;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    public String getTypeId() {
        return typeId;
    }

    public void setLevelId(String levelId) {
        this.levelId = levelId;
    }

    public String getLevelId() {
        return levelId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setExeDate(Date exeDate) {
        this.exeDate = exeDate;
    }

    public Date getExeDate() {
        return exeDate;
    }

    public void setDealStateId(String dealStateId) {
        this.dealStateId = dealStateId;
    }

    public String getDealStateId() {
        return dealStateId;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public void setProof(String proof) {
        this.proof = proof;
    }

    public String getProof() {
        return proof;
    }

    public void setFact(String fact) {
        this.fact = fact;
    }

    public String getFact() {
        return fact;
    }

    public void setExeWay(String exeWay) {
        this.exeWay = exeWay;
    }

    public String getExeWay() {
        return exeWay;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRemark() {
        return remark;
    }

    public void setIsDel(int isDel) {
        this.isDel = isDel;
    }

    public int getIsDel() {
        return isDel;
    }

    public void setPublishTime(Date publishTime) {
        this.publishTime = publishTime;
    }

    public Date getPublishTime() {
        return publishTime;
    }

    public void setPublishUser(String publishUser) {
        this.publishUser = publishUser;
    }

    public String getPublishUser() {
        return publishUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public Date getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    public String getCheckUser() {
        return checkUser;
    }

    public void setCheckUser(String checkUser) {
        this.checkUser = checkUser;
    }
}

