package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_act_subject 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-02-25 14:02:48
 */
public class ActSubject implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 行政处罚决定id
     */
    private String baseId;
    /**
     * 主体类型
     */
    private String objTypeId;
    /**
     * 名称或姓名
     */
    private String corpId;
    /**
     * 组织机构代码/身份证号
     */
    private String certId;
    /**
     * 法人/负责人
     */
    private String legalName;
    /**
     * 联系人
     */
    private String contactName;
    /**
     * 联系电话
     */
    private String telNo;
    /**
     * 地址
     */
    private String address;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setBaseId(String baseId) {
        this.baseId = baseId;
    }

    public String getBaseId() {
        return baseId;
    }

    public void setObjTypeId(String objTypeId) {
        this.objTypeId = objTypeId;
    }

    public String getObjTypeId() {
        return objTypeId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setCertId(String certId) {
        this.certId = certId;
    }

    public String getCertId() {
        return certId;
    }

    public void setLegalName(String legalName) {
        this.legalName = legalName;
    }

    public String getLegalName() {
        return legalName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactName() {
        return contactName;
    }

    public void setTelNo(String telNo) {
        this.telNo = telNo;
    }

    public String getTelNo() {
        return telNo;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddress() {
        return address;
    }
}

