package com.hywa.map.dao.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * t_agri_data 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-05-06 14:18:17
 */
public class AgriData implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 主题名称
     */
    private String mainName;
    /**
     * 副题名称
     */
    private String subName;
    /**
     * 图标
     */
    private String icon;
    /**
     * 显示名称
     */
    private String viewName;
    /**
     * 显示值
     */
    private String viewVal;
    /**
     * 显示单位
     */
    private String viewUnit;
    /**
     * 比例名称
     */
    private String rateName;
    /**
     * 比例值
     */
    private String rateVal;
    /**
     * 比例符号 1-上升 2-下降
     */
    private String rateSign;
    /**
     * 排序序号
     */
    private int sort;
    /**
     * 统计类型 1-农林牧业 2-经济作物 3-粮食作物
     */
    private String dataType;
    /**
     * 是否删除  0:未删除   1：已删除
     */
    private int isDel;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private Date updateDate;
    /**
     * 区域编码
     */
    private String posId;
    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setMainName(String mainName) {
        this.mainName = mainName;
    }

    public String getMainName() {
        return mainName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getSubName() {
        return subName;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getIcon() {
        return icon;
    }

    public void setViewName(String viewName) {
        this.viewName = viewName;
    }

    public String getViewName() {
        return viewName;
    }

    public void setViewVal(String viewVal) {
        this.viewVal = viewVal;
    }

    public String getViewVal() {
        return viewVal;
    }

    public void setViewUnit(String viewUnit) {
        this.viewUnit = viewUnit;
    }

    public String getViewUnit() {
        return viewUnit;
    }

    public void setRateName(String rateName) {
        this.rateName = rateName;
    }

    public String getRateName() {
        return rateName;
    }

    public void setRateVal(String rateVal) {
        this.rateVal = rateVal;
    }

    public String getRateVal() {
        return rateVal;
    }

    public void setRateSign(String rateSign) {
        this.rateSign = rateSign;
    }

    public String getRateSign() {
        return rateSign;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    public int getSort() {
        return sort;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getDataType() {
        return dataType;
    }

    public void setIsDel(int isDel) {
        this.isDel = isDel;
    }

    public int getIsDel() {
        return isDel;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public String getPosId() {
        return posId;
    }

    public void setPosId(String posId) {
        this.posId = posId;
    }
}

