package com.hywa.map.dao.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * t_area_data 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-11-15 13:44:19
 */
public class AreaData implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 数据名称
     */
    private String dataName;
    /**
     * 所属区域名称
     */
    private String areaName;
    /**
     * 数据类型
     */
    private String dataType;
    /**
     * 数据时间
     */
    private String dataTime;
    /**
     * 是否应用于大屏 0-否 1-是
     */
    private int isShow;
    /**
     * 数据列
     */
    private String dataField;
    /**
     * 是否删除 0-未删除 1-已删除
     */
    private int isDel;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private Date updateDate;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getDataName() {
        return dataName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataTime(String dataTime) {
        this.dataTime = dataTime;
    }

    public String getDataTime() {
        return dataTime;
    }

    public void setIsShow(int isShow) {
        this.isShow = isShow;
    }

    public int getIsShow() {
        return isShow;
    }

    public void setDataField(String dataField) {
        this.dataField = dataField;
    }

    public String getDataField() {
        return dataField;
    }

    public void setIsDel(int isDel) {
        this.isDel = isDel;
    }

    public int getIsDel() {
        return isDel;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }
}

