package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_sys_depart 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-02-14 15:50:31
 */
public class Contact implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private int id;
    /**
     * 单位id
     */
    private String departId;
    /**
     * '联系人名称'
     */
    private String contactName;
    /**
     * '联系人电话'
     */
    private String contactTel;
    public Contact(String departId,String contactName,String contactTel,int id ){
        this.setId(id);
        this.setDepartId(departId);
        this.setContactName(contactName);
        this.setContactTel(contactTel);
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactTel() {
        return contactTel;
    }

    public void setContactTel(String contactTel) {
        this.contactTel = contactTel;
    }

    public String getDepartId() {
        return departId;
    }

    public void setDepartId(String departId) {
        this.departId = departId;
    }
}

