package com.hywa.map.dao.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * t_dam_info 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-11-06 10:33:28
 */
public class DamInfo implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 坝区名称
     */
    private String damName;
    /**
     * 所属区域编码
     */
    private String areaCode;
    /**
     * 海拔
     */
    private String elevation;
    /**
     * 种植面积(亩)
     */
    private String totalArea;
    /**
     * 主要产品
     */
    private String plantName;
    /**
     * 耕地产出值(元)
     */
    private String plantVal;
    /**
     * 土地流转率
     */
    private String landRate;
    /**
     * 农民收入贡献率
     */
    private String farmerRate;
    /**
     * 产销对接率
     */
    private String marketRate;
    /**
     * 产业参保率
     */
    private String insureRate;
    /**
     * 坝区简介
     */
    private String damDesc;
    /**
     * 状态 0-启用 1-禁用
     */
    private String state;
    /**
     * 是否删除 0-未删除 1-已删除
     */
    private int isDel;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private Date updateDate;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setDamName(String damName) {
        this.damName = damName;
    }

    public String getDamName() {
        return damName;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setElevation(String elevation) {
        this.elevation = elevation;
    }

    public String getElevation() {
        return elevation;
    }

    public void setTotalArea(String totalArea) {
        this.totalArea = totalArea;
    }

    public String getTotalArea() {
        return totalArea;
    }

    public void setPlantName(String plantName) {
        this.plantName = plantName;
    }

    public String getPlantName() {
        return plantName;
    }

    public void setPlantVal(String plantVal) {
        this.plantVal = plantVal;
    }

    public String getPlantVal() {
        return plantVal;
    }

    public void setLandRate(String landRate) {
        this.landRate = landRate;
    }

    public String getLandRate() {
        return landRate;
    }

    public void setFarmerRate(String farmerRate) {
        this.farmerRate = farmerRate;
    }

    public String getFarmerRate() {
        return farmerRate;
    }

    public void setMarketRate(String marketRate) {
        this.marketRate = marketRate;
    }

    public String getMarketRate() {
        return marketRate;
    }

    public void setInsureRate(String insureRate) {
        this.insureRate = insureRate;
    }

    public String getInsureRate() {
        return insureRate;
    }

    public void setDamDesc(String damDesc) {
        this.damDesc = damDesc;
    }

    public String getDamDesc() {
        return damDesc;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getState() {
        return state;
    }

    public void setIsDel(int isDel) {
        this.isDel = isDel;
    }

    public int getIsDel() {
        return isDel;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }
}

