package com.hywa.map.dao.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * t_exam_product 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-02-20 13:34:14
 */
public class ExamProductAll implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 产品类型 0-农产品 1-农投品
     */
    private int prodType;
    /**
     * 报告编号
     */
    private String reportNo;
    /**
     * 委托单位
     */
    private String entrustId;
    /**
     * 委托单位
     */
    private String entrustName;
    /**
     * 检验类型 0-委托检测 1-抽检
     */
    private String examTypeId;
    /**
     * 检验类型 0-委托检测 1-抽检
     */
    private String examTypeName;
    /**
     * 检验单位
     */
    private String organId;
    /**
     * 检验单位
     */
    private String organName;
    /**
     * 检验日期
     */
    private Date examDate;
    /**
     * 检测结果 0-合格 1-不合格
     */
    private String resultId;
    /**
     * 检测结果 0-合格 1-不合格
     */
    private String resultName;
    /**
     * 检验依据
     */
    private String proofId;
    /**
     * 检验项目
     */
    private String itemId;
    /**
     * 检验结论
     */
    private String summary;
    /**
     * 备注
     */
    private String remark;
    /**
     * 状态 0-未发布 1-已发布 2-撤回
     */
    private String state;
    /**
     * 是否删除 0-未删除 1-已删除
     */
    private int isDel;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private Date updateDate;
    /**
     * 样品类型
     */
    private String objType;
    /**
     * 样品类型名称
     */
    private String objTypeName;
    /**
     * 样品名称
     */
    private String objName;
    /**
     * 样品编号
     */
    private String objCode;
    /**
     * 规格
     */
    private String model;
    /**
     * 数量
     */
    private String amount;
    /**
     * 抽样基数
     */
    private String total;
    /**
     * 生产/加工/购进日期/食品批号
     */
    private String recordId;
    /**
     * 生产企业
     */
    private String corpId;
    /**
     * 生产企业
     */
    private String corpName;
    /**
     * 样品批次
     */
    private String batchNo;
    /**
     * 发布时间
     */
    private Date publishTime;
    /**
     * 发布人
     */
    private String publishUser;
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getProdType() {
        return prodType;
    }

    public void setProdType(int prodType) {
        this.prodType = prodType;
    }

    public String getReportNo() {
        return reportNo;
    }

    public void setReportNo(String reportNo) {
        this.reportNo = reportNo;
    }

    public String getEntrustId() {
        return entrustId;
    }

    public void setEntrustId(String entrustId) {
        this.entrustId = entrustId;
    }

    public String getExamTypeId() {
        return examTypeId;
    }

    public void setExamTypeId(String examTypeId) {
        this.examTypeId = examTypeId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public Date getExamDate() {
        return examDate;
    }

    public void setExamDate(Date examDate) {
        this.examDate = examDate;
    }

    public String getResultId() {
        return resultId;
    }

    public void setResultId(String resultId) {
        this.resultId = resultId;
    }

    public String getProofId() {
        return proofId;
    }

    public void setProofId(String proofId) {
        this.proofId = proofId;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public int getIsDel() {
        return isDel;
    }

    public void setIsDel(int isDel) {
        this.isDel = isDel;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getObjType() {
        return objType;
    }

    public void setObjType(String objType) {
        this.objType = objType;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public String getObjCode() {
        return objCode;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getEntrustName() {
        return entrustName;
    }

    public void setEntrustName(String entrustName) {
        this.entrustName = entrustName;
    }

    public String getExamTypeName() {
        return examTypeName;
    }

    public void setExamTypeName(String examTypeName) {
        this.examTypeName = examTypeName;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getResultName() {
        return resultName;
    }

    public void setResultName(String resultName) {
        this.resultName = resultName;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getObjTypeName() {
        return objTypeName;
    }

    public void setObjTypeName(String objTypeName) {
        this.objTypeName = objTypeName;
    }

    public Date getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(Date publishTime) {
        this.publishTime = publishTime;
    }

    public String getPublishUser() {
        return publishUser;
    }

    public void setPublishUser(String publishUser) {
        this.publishUser = publishUser;
    }
}

