package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_exam_sample 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-02-20 13:34:28
 */
public class ExamSample implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private int id;
    /**
     * 检测产品id
     */
    private String prodId;
    /**
     * 样品类型
     */
    private String objType;
    /**
     * 样品名称
     */
    private String objName;
    /**
     * 样品编号
     */
    private String objCode;
    /**
     * 规格
     */
    private String model;
    /**
     * 数量
     */
    private String amount;
    /**
     * 抽样基数
     */
    private String total;
    /**
     * 生产/加工/购进日期/食品批号
     */
    private String recordId;
    /**
     * 生产企业
     */
    private String corpId;
    /**
     * 样品批次
     */
    private String batchNo;
    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public void setProdId(String prodId) {
        this.prodId = prodId;
    }

    public String getProdId() {
        return prodId;
    }

    public void setObjType(String objType) {
        this.objType = objType;
    }

    public String getObjType() {
        return objType;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public String getObjCode() {
        return objCode;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getModel() {
        return model;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public String getRecordId() {
        return recordId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public String getCorpId() {
        return corpId;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }
}

