package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_gis_park 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-05-09 15:59:19
 */
public class GisPark implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private int id;
    /**
     * 行政区域ID
     */
    private String posId;
    /**
     * 行政类型：1（省）、2（城市）、3（区县市）、4（乡镇）、5（村）
     */
    private int posType;
    /**
     * 显示名称
     */
    private String viewName;
    /**
     * 显示值
     */
    private int viewVal;
    /**
     * 显示单位
     */
    private String viewUnit;

    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public void setPosId(String posId) {
        this.posId = posId;
    }

    public String getPosId() {
        return posId;
    }

    public void setPosType(int posType) {
        this.posType = posType;
    }

    public int getPosType() {
        return posType;
    }

    public void setViewName(String viewName) {
        this.viewName = viewName;
    }

    public String getViewName() {
        return viewName;
    }

    public void setViewVal(int viewVal) {
        this.viewVal = viewVal;
    }

    public int getViewVal() {
        return viewVal;
    }

    public void setViewUnit(String viewUnit) {
        this.viewUnit = viewUnit;
    }

    public String getViewUnit() {
        return viewUnit;
    }
}

