package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_map_module_data 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-09-17 13:35:20
 */
public class MapModuleData implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private int id;
    /**
     * 大屏id
     */
    private String mapId;
    /**
     * 组件编码
     */
    private String moduleCode;
    /**
     * 数据样式 1-API 2-数据库 3-CSV数据表 4-静态数据
     */
    private int dataType;
    /**
     * 数据源名称
     */
    private String sourceName;
    /**
     * 组件数据
     */
    private String content;

    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public void setModuleCode(String moduleCode) {
        this.moduleCode = moduleCode;
    }

    public String getModuleCode() {
        return moduleCode;
    }

    public void setDataType(int dataType) {
        this.dataType = dataType;
    }

    public int getDataType() {
        return dataType;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent() {
        return content;
    }

    public String getMapId() {
        return mapId;
    }

    public void setMapId(String mapId) {
        this.mapId = mapId;
    }
}

