package com.hywa.map.dao.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * t_map_pwd 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-12-11 13:28:52
 */
public class MapPwd implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private int id;
    /**
     * 口令类型 0-农业大数据大屏口令 1-人员监控大屏口令
     */
    private int pwdType;
    /**
     * 口令
     */
    private String pwd;
    /**
     * 状态 0-启用 1-禁用
     */
    private String state;
    /**
     * 是否删除  0:未删除   1：已删除
     */
    private int isDel;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private Date updateDate;

    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public void setPwdType(int pwdType) {
        this.pwdType = pwdType;
    }

    public int getPwdType() {
        return pwdType;
    }

    public void setPwd(String pwd) {
        this.pwd = pwd;
    }

    public String getPwd() {
        return pwd;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getState() {
        return state;
    }

    public void setIsDel(int isDel) {
        this.isDel = isDel;
    }

    public int getIsDel() {
        return isDel;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }
}

