package com.hywa.map.dao.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * sys_dict 实体类 对应表名
 *
 * @author hywa
 * @create by 2018-12-13 13:41:59
 */
public class SysDict implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 库id
     */
    private String libId;
    /**
     * 字典名称
     */
    private String dictName;
    /**
     * 字典编码
     */
    private String dictCode;
    /**
     * 上级id
     */
    private String parentId;
    /**
     * 上级名称
     */
    private String parentName;
    /**
     * 备注
     */
    private String remark;
    /**
     * 状态 0-关闭 1-开通
     */
    private int state;
    /**
     * 是否删除 0-未删除 1-已删除
     */
    private int isDel;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private Date updateDate;
    /**
     * 所有的上级节点
     */
    private String allParentId;
    /**
     * 标签
     */
    private String labels;
    /**
     * 是否国标
     */
    private String isStandard;
    /**
     * 错误信息
     */
    private String errorMsg;
    /**
     * 上级id备份
     */
    private String parentIdBak;
    /**
     * 系统编码
     */
    private String systemId;
    /**
     * 字典类型 0-国标 1-非国标
     */
    private String dictType;
    /**
     * 完整的字典编码
     */
    private String allDictCode;
    /**
     * 字典编码备份
     */
    private String dictCodeBak;
    /**
     * 是否存在子节点
     */
    private int hasChildren;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    public String getLibId() {
        return libId;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getDictName() {
        return dictName;
    }

    public void setDictCode(String dictCode) {
        this.dictCode = dictCode;
    }

    public String getDictCode() {
        return dictCode;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRemark() {
        return remark;
    }

    public void setIsDel(int isDel) {
        this.isDel = isDel;
    }

    public int getIsDel() {
        return isDel;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public String getAllParentId() {
        return allParentId;
    }

    public void setAllParentId(String allParentId) {
        this.allParentId = allParentId;
    }

    public String getLabels() {
        return labels;
    }

    public void setLabels(String labels) {
        this.labels = labels;
    }

    public String getIsStandard() {
        return isStandard;
    }

    public void setIsStandard(String isStandard) {
        this.isStandard = isStandard;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String getParentIdBak() {
        return parentIdBak;
    }

    public void setParentIdBak(String parentIdBak) {
        this.parentIdBak = parentIdBak;
    }

    public String getSystemId() {
        return systemId;
    }

    public void setSystemId(String systemId) {
        this.systemId = systemId;
    }

    public String getDictType() {
        return dictType;
    }

    public void setDictType(String dictType) {
        this.dictType = dictType;
    }

    public String getAllDictCode() {
        return allDictCode;
    }

    public void setAllDictCode(String allDictCode) {
        this.allDictCode = allDictCode;
    }

    public String getDictCodeBak() {
        return dictCodeBak;
    }

    public void setDictCodeBak(String dictCodeBak) {
        this.dictCodeBak = dictCodeBak;
    }

    public int getHasChildren() {
        return hasChildren;
    }

    public void setHasChildren(int hasChildren) {
        this.hasChildren = hasChildren;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }
}

