package com.hywa.map.dao.entity;

import java.io.Serializable;

public class TopicDetail implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 主键
     */
    private String id;
    /**
     * 专题名称
     */
    private String topicName;
    /**
     * 专题所属目录id
     */
    private String topicPathId;
    /**
     * 专题说明
     */
    private String topicDesc;
    /**
     * 专题图标
     */
    private String topicIcon;
    /**
     * 专题模版名称名称
     */
    private String templateId;
    /**
     * 专题配置信息
     */
    private String topicConfig;
    /**
     * 资源数据库id
     */
    private String dbId;
    /**
     * 数据集id
     */
    private String sourceId;
    /**
     * 数据经度
     */
    private String posLon;
    /**
     * 数据纬度
     */
    private String posLat;
    /**
     * 数据地址信息
     */
    private String address;
    /**
     * 数据筛选条件
     */
    private String conditions;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTopicName() {
        return topicName;
    }

    public void setTopicName(String topicName) {
        this.topicName = topicName;
    }

    public String getTopicPathId() {
        return topicPathId;
    }

    public void setTopicPathId(String topicPathId) {
        this.topicPathId = topicPathId;
    }

    public String getTopicDesc() {
        return topicDesc;
    }

    public void setTopicDesc(String topicDesc) {
        this.topicDesc = topicDesc;
    }

    public String getTopicIcon() {
        return topicIcon;
    }

    public void setTopicIcon(String topicIcon) {
        this.topicIcon = topicIcon;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getTopicConfig() {
        return topicConfig;
    }

    public void setTopicConfig(String topicConfig) {
        this.topicConfig = topicConfig;
    }

    public String getSourceId() {
        return sourceId;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId;
    }

    public String getPosLon() {
        return posLon;
    }

    public void setPosLon(String posLon) {
        this.posLon = posLon;
    }

    public String getPosLat() {
        return posLat;
    }

    public void setPosLat(String posLat) {
        this.posLat = posLat;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getConditions() {
        return conditions;
    }

    public void setConditions(String conditions) {
        this.conditions = conditions;
    }

    public String getDbId() {
        return dbId;
    }

    public void setDbId(String dbId) {
        this.dbId = dbId;
    }
}


