package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_topic_icon 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-05-16 16:28:43
 */
public class TopicIcon implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private int id;
    /**
     * 专题id
     */
    private String topicId;
    /**
     * 图标类型 0-未点击 1-点击
     */
    private int iconType;
    /**
     * 附件url
     */
    private String content;

    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public void setTopicId(String topicId) {
        this.topicId = topicId;
    }

    public String getTopicId() {
        return topicId;
    }

    public void setIconType(int iconType) {
        this.iconType = iconType;
    }

    public int getIconType() {
        return iconType;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent() {
        return content;
    }
}

