package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_topic_source 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-05-16 15:50:40
 */
public class TopicSource implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private int id;
    /**
     * 专题id
     */
    private String topicId;
    /**
     * 数据集id
     */
    private String sourceId;
    /**
     * 地理经度
     */
    private String posLon;
    /**
     * 地理纬度
     */
    private String posLat;
    /**
     * 地址
     */
    private String address;
    /**
     * 数据筛选条件
     */
    private String conditions;

    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public void setTopicId(String topicId) {
        this.topicId = topicId;
    }

    public String getTopicId() {
        return topicId;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId;
    }

    public String getSourceId() {
        return sourceId;
    }

    public void setPosLon(String posLon) {
        this.posLon = posLon;
    }

    public String getPosLon() {
        return posLon;
    }

    public void setPosLat(String posLat) {
        this.posLat = posLat;
    }

    public String getPosLat() {
        return posLat;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddress() {
        return address;
    }

    public void setConditions(String conditions) {
        this.conditions = conditions;
    }

    public String getConditions() {
        return conditions;
    }
}

