package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_topic_template_item 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-05-13 16:54:05
 */
public class TopicTemplateItem implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private int id;
    /**
     * 专题统计模版id
     */
    private String templateId;
    /**
     * 统计明细名称
     */
    private String itemName;
    /**
     * 专题模版配置
     */
    private String content;
    /**
     * 显示样式 0-圆形 1-柱状图 2-长方形
     */
    private String viewType;
    /**
     * 专题模版配置映射字段
     */
    private String templateConfig;
    /**
     * 专题模版演示数据
     */
    private String demoData;
    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemName() {
        return itemName;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent() {
        return content;
    }

    public void setViewType(String viewType) {
        this.viewType = viewType;
    }

    public String getViewType() {
        return viewType;
    }

    public String getTemplateConfig() {
        return templateConfig;
    }

    public void setTemplateConfig(String templateConfig) {
        this.templateConfig = templateConfig;
    }

    public String getDemoData() {
        return demoData;
    }

    public void setDemoData(String demoData) {
        this.demoData = demoData;
    }
}

