package com.hywa.map.dao.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * t_mon_trade 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-03-01 10:52:49
 */
public class Trade implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 商品编号
     */
    private String goodsId;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 通用名
     */
    private String commName;
    /**
     * 商品类别
     */
    private String goodsType;
    /**
     * 单位
     */
    private String unit;
    /**
     * 规格型号
     */
    private String model;
    /**
     * 批号
     */
    private String batchNo;
    /**
     * 生产日期
     */
    private Date geneDate;
    /**
     * 有效期（天）
     */
    private String period;
    /**
     * 成交量
     */
    private String tradeVol;
    /**
     * 使用量
     */
    private String useVol;
    /**
     * 登记证号
     */
    private String regNo;
    /**
     * 生产许可证号
     */
    private String certId;
    /**
     * 生产厂家
     */
    private String corpName;
    /**
     * 是否删除 0-未删除 1-已删除
     */
    private int isDel;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private Date updateDate;
    /**
     * 按照类别汇总成交量
     */
    private double totalVol;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setCommName(String commName) {
        this.commName = commName;
    }

    public String getCommName() {
        return commName;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }

    public String getGoodsType() {
        return goodsType;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnit() {
        return unit;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getModel() {
        return model;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setGeneDate(Date geneDate) {
        this.geneDate = geneDate;
    }

    public Date getGeneDate() {
        return geneDate;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public String getPeriod() {
        return period;
    }

    public void setTradeVol(String tradeVol) {
        this.tradeVol = tradeVol;
    }

    public String getTradeVol() {
        return tradeVol;
    }

    public void setUseVol(String useVol) {
        this.useVol = useVol;
    }

    public String getUseVol() {
        return useVol;
    }

    public void setRegNo(String regNo) {
        this.regNo = regNo;
    }

    public String getRegNo() {
        return regNo;
    }

    public void setCertId(String certId) {
        this.certId = certId;
    }

    public String getCertId() {
        return certId;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setIsDel(int isDel) {
        this.isDel = isDel;
    }

    public int getIsDel() {
        return isDel;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public double getTotalVol() {
        return totalVol;
    }

    public void setTotalVol(double totalVol) {
        this.totalVol = totalVol;
    }
}

