package com.hywa.map.dao.entity;

import java.io.Serializable;

/**
 * t_mon_farmer 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-02-22 09:08:36
 */
public class Warn implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 产品类型 0-农产品 1-农投品
     */
    private String prodType;
    /**
     * 产品名称
     */
    private String prodName;
    /**
     * 企业id
     */
    private String corpId;
    /**
     * 企业名称
     */
    private String corpName;
    /**
     * 联系人
     */
    private String contactName;
    /**
     * 联系电话
     */
    private String telNo;
    /**
     * 主体类型名称
     */
    private String subjectTypeName;
    /**
     * 级别名称
     */
    private String levelName;
    /**
     * 经营范围
     */
    private String scope;
    /**
     * 状态 0-未处理 1-已处理
     */
    private String state;
    /**
     * 预警id
     */
    private String warnId;
    /**
     * 预警类型0-农产品 1-农投品
     */
    private String warnType;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getProdType() {
        return prodType;
    }

    public void setProdType(String prodType) {
        this.prodType = prodType;
    }

    public String getProdName() {
        return prodName;
    }

    public void setProdName(String prodName) {
        this.prodName = prodName;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getTelNo() {
        return telNo;
    }

    public void setTelNo(String telNo) {
        this.telNo = telNo;
    }

    public String getSubjectTypeName() {
        return subjectTypeName;
    }

    public void setSubjectTypeName(String subjectTypeName) {
        this.subjectTypeName = subjectTypeName;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getWarnId() {
        return warnId;
    }

    public void setWarnId(String warnId) {
        this.warnId = warnId;
    }

    public String getWarnType() {
        return warnType;
    }

    public void setWarnType(String warnType) {
        this.warnType = warnType;
    }
}

