package com.hywa.map.dao.mapper;

import com.hywa.map.dao.entity.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AreaMenuMapper {
    int countByExample(RoleExample example);

    int deleteByExample(RoleExample example);

    int deleteByPrimaryKey(String id);
    int deleteByRegionId(@Param("regionId") String regionId);

    int insert(Role record);

    int insertSelective(Role record);

    List<Role> selectByExample(RoleExample example);

    Role selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") Role record, @Param("example") RoleExample example);

    int updateByExample(@Param("record") Role record, @Param("example") RoleExample example);

    int updateByPrimaryKeySelective(Role record);

    int updateByPrimaryKey(Role record);

    List<Menu> selectAll(@Param("regionId") String regionId);

    List<Role> selectByUserId(String userId);
    
    Role findById(@Param("id") String id);
    void insertBatch(List<AreaMenuKey> areaMenuKeys);
    int countByRegionId(@Param("regionId") String regionId);

    List<Menu> selectByRegionId(@Param("userId") String userId,@Param("regionId") String regionId);
}