package com.hywa.map.dao.mapper;

import com.hywa.map.dao.entity.MapPwd;
import com.hywa.map.representation.MapPwdRep;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * t_map_pwd  对应mapperInterface 接口类
 *
 * @author hywa
 * @create by 2019-12-11 13:28:52
 */
@Mapper
public interface MapPwdMapper {
    /*
     * 查询所有
     */
    List<MapPwdRep> selectAll();

    /*
     * 更新
     */
    int update(MapPwd entity);
    /*
     * 根据口令类型查询
     */
    MapPwd selectByType(@Param("pwdType") String pwdType);

}

