package com.hywa.map.dao.mapper;

import com.hywa.map.dao.entity.OrchardLocate;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* t_orchard_locate  对应mapperInterface 接口类
* @create by 2019-07-17 13:45:17
* @author hywa
*/ 
@Mapper 
public interface OrchardLocateMapper {
    /*
     * 新增
     */
    int add(OrchardLocate entity);
    /*
     * 物理删除
     */
    int delete(@Param("orchardId") String orchardId);
    /*
     * 查询地理信息
     */
    OrchardLocate selectByOrchardId(@Param("orchardId") String orchardId);
}

