package com.hywa.map.dao.mapper;

import com.hywa.map.dao.entity.Role;
import com.hywa.map.dao.entity.RoleExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface RoleMapper {
    int countByExample(RoleExample example);

    int deleteByExample(RoleExample example);

    int deleteByPrimaryKey(String id);

    int insert(Role record);

    int insertSelective(Role record);

    List<Role> selectByExample(RoleExample example);

    Role selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") Role record, @Param("example") RoleExample example);

    int updateByExample(@Param("record") Role record, @Param("example") RoleExample example);

    int updateByPrimaryKeySelective(Role record);

    int updateByPrimaryKey(Role record);

    List<Role> selectAll(@Param("name")String name,@Param("status")String status);

    List<Role> selectByUserId(String userId);
    
    Role findById(@Param("id") String id);

    List<Role> selectCountyRole(String userId);

    List<Role> selectCityRole(String userId);

    List<Role> selectProvinceRole(String userId);

    List<Role> selectAllByUserId(@Param("name")String name,@Param("userId")String userId);
    /*
     * 根据角色id统计用户数
     */
    int countByRoleId(@Param("roleId") String roleId);
}