package com.hywa.map.dao.mapper;

import com.hywa.map.dao.entity.TopicTemplateItem;
import com.hywa.map.representation.CommonView;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * t_topic_template_item  对应mapperInterface 接口类
 *
 * @author hywa
 * @create by 2019-05-13 16:54:05
 */
@Mapper
public interface TopicTemplateItemMapper {
    /*
     * 查询模板配置信息
     */
    List<TopicTemplateItem> select(@Param("topicId") String topicId);
    /*
     * 根据模版id查询模板配置信息
     */
    List<TopicTemplateItem> selectByTemplateId(@Param("templateId") String templateId);
    /*
     * 查询专题模板字段信息
     */
    CommonView selectTemplateField(@Param("templateId") String templateId);
}

