package com.hywa.map.dao.mapper;

import com.hywa.map.dao.entity.ExamItem;
import com.hywa.map.dao.entity.UserAdvice;
import com.hywa.map.dao.entity.UserAdviceAttach;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * t_user_advice  对应mapperInterface 接口类
 *
 * @author hywa
 * @create by 2019-04-12 13:43:02
 */
@Mapper
public interface UserAdviceMapper {
    /*
     * 新增
     */
    int add(UserAdvice entity);
    /*
     * 新增附件
     */
    int insertAttach(@Param("list") List<ExamItem> itemKeys);
    /*
     * 查询反馈信息
     */
    List<UserAdviceAttach> select(@Param("userId") String userId);
}

