package com.hywa.map.representation;

import java.io.Serializable;

public class AgriGroupDetails implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 主键
     */
    private String id;
    /**
     * 显示图标
     */
    private String icon;
    /**
     * 显示名称
     */
    private String viewName;
    /**
     * 显示值
     */
    private int viewVal;
    /**
     * 名称
     */
    private String posName;
    /**
     * 地理经度
     */
    private String posLon;
    /**
     * 地理纬度
     */
    private String posLat;
    /**
     * 图标经度
     */
    private String iconLon;
    /**
     * 图标纬度
     */
    private String iconLat;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getViewName() {
        return viewName;
    }

    public void setViewName(String viewName) {
        this.viewName = viewName;
    }

    public int getViewVal() {
        return viewVal;
    }

    public void setViewVal(int viewVal) {
        this.viewVal = viewVal;
    }

    public String getPosName() {
        return posName;
    }

    public void setPosName(String posName) {
        this.posName = posName;
    }

    public String getPosLon() {
        return posLon;
    }

    public void setPosLon(String posLon) {
        this.posLon = posLon;
    }

    public String getPosLat() {
        return posLat;
    }

    public void setPosLat(String posLat) {
        this.posLat = posLat;
    }

    public String getIconLon() {
        return iconLon;
    }

    public void setIconLon(String iconLon) {
        this.iconLon = iconLon;
    }

    public String getIconLat() {
        return iconLat;
    }

    public void setIconLat(String iconLat) {
        this.iconLat = iconLat;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    @Override
    public String toString() {
        return "AgriGroupDetails{" +
                "id='" + id + '\'' +
                ", icon='" + icon + '\'' +
                ", viewName='" + viewName + '\'' +
                ", viewVal=" + viewVal +
                ", posName='" + posName + '\'' +
                ", posLon='" + posLon + '\'' +
                ", posLat='" + posLat + '\'' +
                ", iconLon='" + iconLon + '\'' +
                ", iconLat='" + iconLat + '\'' +
                '}';
    }
}


