package com.hywa.map.representation;

import com.hywa.map.dao.entity.AgriGroup;

import java.io.Serializable;

public class AgriGroupRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 主键
     */
    private String id;
    /**
     * 组别名称
     */
    private String groupName;
    /**
     * 组别图标
     */
    private String groupIcon;

    public AgriGroupRep(AgriGroup entity) {
        this.setId(entity.getId());
        this.setGroupName(entity.getGroupName());
        this.setGroupIcon(entity.getGroupIcon());
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupIcon() {
        return groupIcon;
    }

    public void setGroupIcon(String groupIcon) {
        this.groupIcon = groupIcon;
    }

    @Override
    public String toString() {
        return "AgriGroupRep{" +
                "id='" + id + '\'' +
                ", groupName='" + groupName + '\'' +
                ", groupIcon='" + groupIcon + '\'' +
                '}';
    }
}


