package com.hywa.map.representation;

import com.hywa.map.dao.entity.AgriProfile;

import java.io.Serializable;

public class AgriProfileRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 主键
     */
    private int id;
    /**
     * 显示样式 0-圆形 1-条形
     */
    private String viewType;
    /**
     * 显示名称
     */
    private String viewName;
    /**
     * 显示值
     */
    private String viewVal;
    /**
     * 比例名称
     */
    private String rateName;
    /**
     * 比例值
     */
    private String rateVal;
    /**
     * 比例符号 1-上升 2-下降
     */
    private String rateSign;

    public AgriProfileRep(AgriProfile entity) {
        this.setId(entity.getId());
        this.setViewType(entity.getViewType());
        this.setViewName(entity.getViewName());
        this.setViewVal(entity.getViewVal());
        this.setRateName(entity.getRateName());
        this.setRateVal(entity.getRateVal());
        this.setRateSign(entity.getRateSign());
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getViewType() {
        return viewType;
    }

    public void setViewType(String viewType) {
        this.viewType = viewType;
    }

    public String getViewName() {
        return viewName;
    }

    public void setViewName(String viewName) {
        this.viewName = viewName;
    }

    public String getViewVal() {
        return viewVal;
    }

    public void setViewVal(String viewVal) {
        this.viewVal = viewVal;
    }

    public String getRateName() {
        return rateName;
    }

    public void setRateName(String rateName) {
        this.rateName = rateName;
    }

    public String getRateVal() {
        return rateVal;
    }

    public void setRateVal(String rateVal) {
        this.rateVal = rateVal;
    }

    public String getRateSign() {
        return rateSign;
    }

    public void setRateSign(String rateSign) {
        this.rateSign = rateSign;
    }

    @Override
    public String toString() {
        return "AgriProfileRep{" +
                "id=" + id +
                ", viewType='" + viewType + '\'' +
                ", viewName='" + viewName + '\'' +
                ", viewVal='" + viewVal + '\'' +
                ", rateName='" + rateName + '\'' +
                ", rateVal='" + rateVal + '\'' +
                ", rateSign='" + rateSign + '\'' +
                '}';
    }
}


