package com.hywa.map.representation;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 空气质量小时信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class AqiHour implements Serializable {

    private static final long serialVersionUID = 1L;
    private Object maxValue;//最大值
    private List<Environ> aqiH = new ArrayList<Environ>();//空气质量小时

    public Object getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(Object maxValue) {
        this.maxValue = maxValue;
    }

    public List<Environ> getAqiH() {
        return aqiH;
    }

    public void setAqiH(List<Environ> aqiH) {
        this.aqiH = aqiH;
    }

    @Override
    public String toString() {
        return "AqiHour{" +
                "maxValue=" + maxValue +
                ", aqiH=" + aqiH +
                '}';
    }
}

