package com.hywa.map.representation;

import java.io.Serializable;

public class AreaDataPriceRep implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private String id;
    /**
     * 品种名称
     */
    private String cateName;
    /**
     * 日期
     */
    private String tradeDate;
    /**
     * 价格
     */
    private String price;
    /**
     * 价格单位
     */
    private String priceUnit;
    /**
     * 升降百分比
     */
    private String riseRate;
    /**
     * 市场来源
     */
    private String sourceName;

    public String getCateName() {
        return cateName;
    }

    public void setCateName(String cateName) {
        this.cateName = cateName;
    }

    public String getTradeDate() {
        return tradeDate;
    }

    public void setTradeDate(String tradeDate) {
        this.tradeDate = tradeDate;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getPriceUnit() {
        return priceUnit;
    }

    public void setPriceUnit(String priceUnit) {
        this.priceUnit = priceUnit;
    }

    public String getRiseRate() {
        return riseRate;
    }

    public void setRiseRate(String riseRate) {
        this.riseRate = riseRate;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "AreaDataPriceRep{" +
                "cateName='" + cateName + '\'' +
                ", tradeDate='" + tradeDate + '\'' +
                ", price='" + price + '\'' +
                ", priceUnit='" + priceUnit + '\'' +
                ", riseRate='" + riseRate + '\'' +
                ", sourceName='" + sourceName + '\'' +
                '}';
    }
}
