package com.hywa.map.representation;

import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@NoArgsConstructor
public class AreaDataPriceReps implements Serializable {
    private static final long serialVersionUID = 1L;
    private long total;

    private List<AreaDataPriceRep> list;

    public AreaDataPriceReps(long total, List<AreaDataPriceRep> list) {
        this.setList(list);
        this.setTotal(total);
    }

    public long getTotal() {
        return total;
    }

    public void setTotal(long total) {
        this.total = total;
    }

    public List<AreaDataPriceRep> getList() {
        return list;
    }

    public void setList(List<AreaDataPriceRep> list) {
        this.list = list;
    }

    @Override
    public String toString() {
        return "AreaDataPriceReps{" +
                "total=" + total +
                ", list=" + list +
                '}';
    }
}
