package com.hywa.map.representation;

import java.io.Serializable;

public class AreaDataRep implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 数据名称
     */
    private String dataName;
    /**
     * 所属区域名称
     */
    private String areaName;
    /**
     * 数据类型
     */
    private String dataType;
    /**
     * 数据类型名称
     */
    private String dataTypeName;
    /**
     * 数据时间
     */
    private String dataTime;
    /**
     * 是否应用于大屏 0-否 1-是
     */
    private int isShow;
    /**
     * 是否应用于大屏 0-否 1-是
     */
    private String isShowName;
    /**
     * 修改时间
     */
    private String createDate;
    /**
     * 修改人
     */
    private String createUser;
    /**
     * 数据列
     */
    private String dataField;
    /**
     * 经度
     */
    private String posLon;
    /**
     * 纬度
     */
    private String posLat;
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getDataTime() {
        return dataTime;
    }

    public void setDataTime(String dataTime) {
        this.dataTime = dataTime;
    }

    public int getIsShow() {
        return isShow;
    }

    public void setIsShow(int isShow) {
        this.isShow = isShow;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getIsShowName() {
        return isShowName;
    }

    public void setIsShowName(String isShowName) {
        this.isShowName = isShowName;
    }

    public String getDataTypeName() {
        return dataTypeName;
    }

    public void setDataTypeName(String dataTypeName) {
        this.dataTypeName = dataTypeName;
    }

    public String getDataField() {
        return dataField;
    }

    public void setDataField(String dataField) {
        this.dataField = dataField;
    }

    public String getPosLon() {
        return posLon;
    }

    public void setPosLon(String posLon) {
        this.posLon = posLon;
    }

    public String getPosLat() {
        return posLat;
    }

    public void setPosLat(String posLat) {
        this.posLat = posLat;
    }

    @Override
    public String toString() {
        return "AreaDataRep{" +
                "id='" + id + '\'' +
                ", dataName='" + dataName + '\'' +
                ", areaName='" + areaName + '\'' +
                ", dataType='" + dataType + '\'' +
                ", dataTypeName='" + dataTypeName + '\'' +
                ", dataTime='" + dataTime + '\'' +
                ", isShow=" + isShow +
                ", isShowName='" + isShowName + '\'' +
                ", createDate='" + createDate + '\'' +
                ", createUser='" + createUser + '\'' +
                ", dataField='" + dataField + '\'' +
                ", posLon='" + posLon + '\'' +
                ", posLat='" + posLat + '\'' +
                '}';
    }
}
