package com.hywa.map.representation;

import com.hywa.map.dao.entity.AreaMenu;
import lombok.NoArgsConstructor;

@NoArgsConstructor
public class AreaMenuRep {
    private String regionId;//区域id
    private String type;//1按钮 0非按钮
    private String menuId;//菜单id
    private String menuName;//菜单名称
    private String provinceId;//省id
    private String provinceName;//省名称
    private String cityId;//市id
    private String cityName;//市名称
    private String countyId;//县id
    private String countyName;//县名称
    public AreaMenuRep(AreaMenu areaMenu) {
        this.setRegionId(areaMenu.getRegionId());
        this.setType(areaMenu.getType());
        this.setMenuId(areaMenu.getMenuId());
        this.setMenuName(areaMenu.getMenuName());
        this.setProvinceId(areaMenu.getProvinceId());
        this.setProvinceName(areaMenu.getProvinceName());
        this.setCityId(areaMenu.getCityId());
        this.setCityName(areaMenu.getCityName());
        this.setCountyId(areaMenu.getCountyId());
        this.setCountyName(areaMenu.getCountyName());
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getMenuId() {
        return menuId;
    }

    public void setMenuId(String menuId) {
        this.menuId = menuId;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getCountyId() {
        return countyId;
    }

    public void setCountyId(String countyId) {
        this.countyId = countyId;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }
}
