package com.hywa.map.representation;

import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
public class AreaMenuReps {

    private long total;

    private List<AreaMenuRep> list;

    public AreaMenuReps(List<AreaMenuRep> list) {
        this.setList(list);
    }

    public AreaMenuReps(List<AreaMenuRep> list, long total) {
        this.setList(list);
        this.setTotal(total);
    }

    public long getTotal() {
        return total;
    }

    public void setTotal(long total) {
        this.total = total;
    }

    public List<AreaMenuRep> getList() {
        return list;
    }

    public void setList(List<AreaMenuRep> list) {
        this.list = list;
    }
}
