package com.hywa.map.representation;

import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.List;

@NoArgsConstructor
public class AreaMenuReq {
    @NotNull(message = "区域id不能为空")
    private String regionId;//区域id
    private String type;//1省、2市、3县、4乡，5村
    @NotNull(message = "菜单id不能为空")
    private List<Object> menuReps;//菜单id列表

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<Object> getMenuReps() {
        return menuReps;
    }

    public void setMenuReps(List<Object> menuReps) {
        this.menuReps = menuReps;
    }

    @Override
    public String toString() {
        return "AreaMenuReq{" +
                "regionId='" + regionId + '\'' +
                ", type='" + type + '\'' +
                ", menuReps=" + menuReps +
                '}';
    }
}
