package com.hywa.map.representation;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 二氧化碳天信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class CardbonDay implements Serializable {

    private static final long serialVersionUID = 1L;
    private Object avgValue;//平均值
    private List<Environ> cardbonD = new ArrayList<Environ>();//二氧化碳天

    public Object getAvgValue() {
        return avgValue;
    }

    public void setAvgValue(Object avgValue) {
        this.avgValue = avgValue;
    }

    public List<Environ> getCardbonD() {
        return cardbonD;
    }

    public void setCardbonD(List<Environ> cardbonD) {
        this.cardbonD = cardbonD;
    }

    @Override
    public String toString() {
        return "CardbonDay{" +
                "avgValue=" + avgValue +
                ", cardbonD=" + cardbonD +
                '}';
    }
}

