package com.hywa.map.representation;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

public class CsvReps implements Serializable {
    private static final long serialVersionUID = 1L;
    private long total;
    private List<Map<String,String>> fieldDesc;
    private List<Map<String, String>> list;

    public CsvReps() {
    }

    public CsvReps(long total, List<Map<String, String>> list) {
        this.total = total;
        this.list = list;
    }

    public long getTotal() {
        return total;
    }

    public void setTotal(long total) {
        this.total = total;
    }

    public List<Map<String, String>> getList() {
        return list;
    }

    public void setList(List<Map<String, String>> list) {
        this.list = list;
    }

    public List<Map<String, String>> getFieldDesc() {
        return fieldDesc;
    }

    public void setFieldDesc(List<Map<String, String>> fieldDesc) {
        this.fieldDesc = fieldDesc;
    }
}
