package com.hywa.map.representation;

import java.io.Serializable;

public class DamInfoRep implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 坝区名称
     */
    private String damName;
    /**
     * 所属区域编码
     */
    private String areaCode;
    /**
     * 所属区域名称
     */
    private String areaCodeName;
    /**
     * 总面积(亩)
     */
    private String totalArea;
    /**
     * 主要种植品种
     */
    private String plantName;
    /**
     * 状态 0-启用 1-禁用
     */
    private String state;
    /**
     * 是否删除 0-未删除 1-已删除
     */
    private int isDel;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    private String createDate;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    private String updateDate;
    /**
     * 经度
     */
    private String posLon;
    /**
     * 纬度
     */
    private String posLat;
    /**
     * 耕地产出值(元)
     */
    private String plantVal;
    /**
     * 土地流转率
     */
    private String landRate;
    /**
     * 农民收入贡献率
     */
    private String farmerRate;
    /**
     * 产销对接率
     */
    private String marketRate;
    /**
     * 产业参保率
     */
    private String insureRate;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDamName() {
        return damName;
    }

    public void setDamName(String damName) {
        this.damName = damName;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getTotalArea() {
        return totalArea;
    }

    public void setTotalArea(String totalArea) {
        this.totalArea = totalArea;
    }

    public String getPlantName() {
        return plantName;
    }

    public void setPlantName(String plantName) {
        this.plantName = plantName;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public int getIsDel() {
        return isDel;
    }

    public void setIsDel(int isDel) {
        this.isDel = isDel;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }

    public String getAreaCodeName() {
        return areaCodeName;
    }

    public void setAreaCodeName(String areaCodeName) {
        this.areaCodeName = areaCodeName;
    }

    public String getPosLon() {
        return posLon;
    }

    public void setPosLon(String posLon) {
        this.posLon = posLon;
    }

    public String getPosLat() {
        return posLat;
    }

    public void setPosLat(String posLat) {
        this.posLat = posLat;
    }

    public String getPlantVal() {
        return plantVal;
    }

    public void setPlantVal(String plantVal) {
        this.plantVal = plantVal;
    }

    public String getLandRate() {
        return landRate;
    }

    public void setLandRate(String landRate) {
        this.landRate = landRate;
    }

    public String getFarmerRate() {
        return farmerRate;
    }

    public void setFarmerRate(String farmerRate) {
        this.farmerRate = farmerRate;
    }

    public String getMarketRate() {
        return marketRate;
    }

    public void setMarketRate(String marketRate) {
        this.marketRate = marketRate;
    }

    public String getInsureRate() {
        return insureRate;
    }

    public void setInsureRate(String insureRate) {
        this.insureRate = insureRate;
    }

    @Override
    public String toString() {
        return "DamInfoRep{" +
                "id='" + id + '\'' +
                ", damName='" + damName + '\'' +
                ", areaCode='" + areaCode + '\'' +
                ", areaCodeName='" + areaCodeName + '\'' +
                ", totalArea='" + totalArea + '\'' +
                ", plantName='" + plantName + '\'' +
                ", state='" + state + '\'' +
                ", isDel=" + isDel +
                ", createUser='" + createUser + '\'' +
                ", createDate='" + createDate + '\'' +
                ", updateUser='" + updateUser + '\'' +
                ", updateDate='" + updateDate + '\'' +
                ", posLon='" + posLon + '\'' +
                ", posLat='" + posLat + '\'' +
                ", plantVal='" + plantVal + '\'' +
                ", landRate='" + landRate + '\'' +
                ", farmerRate='" + farmerRate + '\'' +
                ", marketRate='" + marketRate + '\'' +
                ", insureRate='" + insureRate + '\'' +
                '}';
    }
}
