package com.hywa.map.representation;

import java.io.Serializable;

public class DbReq implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 数据名称
     */
    private String sourceName;
    /**
     * 数据类型 0-CSV 1-数据库
     */
    private String sourceType;
    /**
     * 备注
     */
    private String remark;
    /**
     * csv文件id
     */
    private String csvId;
    /**
     * 域名
     */
    private String libIp;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 密码
     */
    private String userPwd;
    /**
     * 端口
     */
    private String libPort;
    /**
     * 数据库实例名
     */
    private String libName;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public String getSourceType() {
        return sourceType;
    }

    public void setSourceType(String sourceType) {
        this.sourceType = sourceType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCsvId() {
        return csvId;
    }

    public void setCsvId(String csvId) {
        this.csvId = csvId;
    }

    public String getLibIp() {
        return libIp;
    }

    public void setLibIp(String libIp) {
        this.libIp = libIp;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserPwd() {
        return userPwd;
    }

    public void setUserPwd(String userPwd) {
        this.userPwd = userPwd;
    }

    public String getLibPort() {
        return libPort;
    }

    public void setLibPort(String libPort) {
        this.libPort = libPort;
    }

    public String getLibName() {
        return libName;
    }

    public void setLibName(String libName) {
        this.libName = libName;
    }

    @Override
    public String toString() {
        return "DbReq{" +
                "id='" + id + '\'' +
                ", sourceName='" + sourceName + '\'' +
                ", sourceType='" + sourceType + '\'' +
                ", remark='" + remark + '\'' +
                ", csvId='" + csvId + '\'' +
                ", libIp='" + libIp + '\'' +
                ", userName='" + userName + '\'' +
                ", userPwd='" + userPwd + '\'' +
                ", libPort='" + libPort + '\'' +
                ", libName='" + libName + '\'' +
                '}';
    }
}
