package com.hywa.map.representation;

import com.hywa.map.dao.entity.Depart;

import java.io.Serializable;
import java.util.List;

public class DepartRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 主键
     */
    private String id;
    /**
     * 单位名称
     */
    private String objName;
    /**
     * 单位级别
     */
    private String level;
    /**
     * 省id
     */
    private String provinceId;
    /**
     * 省名称
     */
    private String provinceName;
    /**
     * 市id
     */
    private String cityId;
    /**
     * 市名称
     */
    private String cityName;
    /**
     * 县id
     */
    private String countyId;
    /**
     * 县名称
     */
    private String countyName;
    /**
     * 镇id
     */
    private String townId;
    /**
     * 镇名称
     */
    private String townName;
    private List<ContactReq> contact;
    public DepartRep(Depart entity) {
        this.setId(entity.getId());
        this.setObjName(entity.getObjName());
        this.setLevel(entity.getLevel());
        this.setProvinceId(entity.getProvinceId());
        this.setProvinceName(entity.getProvinceName());
        this.setCityId(entity.getCityId());
        this.setCityName(entity.getCityName());
        this.setCountyId(entity.getCountyId());
        this.setCountyName(entity.getCountyName());
        this.setTownId(entity.getTownId());
        this.setTownName(entity.getTownName());
    }
    public DepartRep() {

    }
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getCountyId() {
        return countyId;
    }

    public void setCountyId(String countyId) {
        this.countyId = countyId;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public String getTownId() {
        return townId;
    }

    public void setTownId(String townId) {
        this.townId = townId;
    }

    public String getTownName() {
        return townName;
    }

    public void setTownName(String townName) {
        this.townName = townName;
    }

    public List<ContactReq> getContact() {
        return contact;
    }

    public void setContact(List<ContactReq> contact) {
        this.contact = contact;
    }

    @Override
    public String toString() {
        return "DepartRep{" +
                "id='" + id + '\'' +
                ", objName='" + objName + '\'' +
                ", level='" + level + '\'' +
                ", provinceId='" + provinceId + '\'' +
                ", provinceName='" + provinceName + '\'' +
                ", cityId='" + cityId + '\'' +
                ", cityName='" + cityName + '\'' +
                ", countyId='" + countyId + '\'' +
                ", countyName='" + countyName + '\'' +
                ", townId='" + townId + '\'' +
                ", townName='" + townName + '\'' +
                ", contact=" + contact +
                '}';
    }
}


