package com.hywa.map.representation;

import com.hywa.map.dao.entity.Dict;

import java.io.Serializable;

public class DictRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 主键
     */
    private String id;
    /**
     * 字典类型id
     */
    private String dictId;
    /**
     * 字典类型
     */
    private String dictType;
    /**
     * 字典类型编码
     */
    private String dictCode;
    /**
     * 字典值
     */
    private String dictValue;
    /**
     * 字典序列号
     */
    private int dictSeq;
    /**
     * 备注
     */
    private String remark;

    public DictRep(Dict dict) {
        this.setId(dict.getId());
        this.setDictId(dict.getDictId());
        this.setDictType(dict.getDictType());
        this.setDictCode(dict.getDictCode());
        this.setDictValue(dict.getDictName());
        this.setDictSeq(dict.getDictSeq());
        this.setRemark(dict.getRemark());
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDictType() {
        return dictType;
    }

    public void setDictType(String dictType) {
        this.dictType = dictType;
    }

    public String getDictCode() {
        return dictCode;
    }

    public void setDictCode(String dictCode) {
        this.dictCode = dictCode;
    }

    public String getDictValue() {
        return dictValue;
    }

    public void setDictValue(String dictValue) {
        this.dictValue = dictValue;
    }

    public int getDictSeq() {
        return dictSeq;
    }

    public void setDictSeq(int dictSeq) {
        this.dictSeq = dictSeq;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDictId() {
        return dictId;
    }

    public void setDictId(String dictId) {
        this.dictId = dictId;
    }

    @Override
    public String toString() {
        return "DictRep{" +
                "id='" + id + '\'' +
                ", dictId='" + dictId + '\'' +
                ", dictType='" + dictType + '\'' +
                ", dictCode='" + dictCode + '\'' +
                ", dictValue='" + dictValue + '\'' +
                ", dictSeq=" + dictSeq +
                ", remark='" + remark + '\'' +
                '}';
    }
}


