package com.hywa.map.representation;

import com.hywa.map.dao.entity.SysDict;

import java.io.Serializable;

public class DosageUnitDictRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 用量单位id
     */
    private String id;
    /**
     * 用量单位名称
     */
    private String name;
    public DosageUnitDictRep(SysDict sysDict) {
        this.setId(sysDict.getId());
        this.setName(sysDict.getDictName());
    }
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return "DosageUnitDictRep{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                '}';
    }
}


