package com.hywa.map.representation;

import java.io.Serializable;

/**
 * 物理环境信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class Environ implements Serializable {

    private static final long serialVersionUID = 1L;
    private String timeLine;//时间轴
    private Object coorValue;//坐标值
    private String unit;//单位

    public String getTimeLine() {
        return timeLine;
    }

    public void setTimeLine(String timeLine) {
        this.timeLine = timeLine;
    }

    public Object getCoorValue() {
        return coorValue;
    }

    public void setCoorValue(Object coorValue) {
        this.coorValue = coorValue;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @Override
    public String toString() {
        return "Environ{" +
                "timeLine='" + timeLine + '\'' +
                ", coorValue=" + coorValue +
                ", unit='" + unit + '\'' +
                '}';
    }
}

