package com.hywa.map.representation;

import java.io.Serializable;

/**
 * 物理环境信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class EnvironDto implements Serializable {

    private static final long serialVersionUID = 1L;
    private AqiHour aqiHour = new AqiHour();//空气质量小时
    private AqiDay aqiDay = new AqiDay();//空气质量天
    private TempHour tempHour = new TempHour();//温度小时
    private TempDay tempDay = new TempDay();//温度天
    private HumiHour humiHour = new HumiHour();//相对湿度小时
    private HumiDay humiDay = new HumiDay();//相对湿度天
    private PrecHour precHour = new PrecHour();//降水量小时
    private PrecDay precDay = new PrecDay();//降水量天
    private IlluHour illuHour = new IlluHour();//光照度小时
    private IlluDay illuDay = new IlluDay();//光照度天
    private CardbonHour cardbonHour = new CardbonHour();//二氧化碳小时
    private CardbonDay cardbonDay = new CardbonDay();//二氧化碳天

    public AqiHour getAqiHour() {
        return aqiHour;
    }

    public void setAqiHour(AqiHour aqiHour) {
        this.aqiHour = aqiHour;
    }

    public AqiDay getAqiDay() {
        return aqiDay;
    }

    public void setAqiDay(AqiDay aqiDay) {
        this.aqiDay = aqiDay;
    }

    public TempHour getTempHour() {
        return tempHour;
    }

    public void setTempHour(TempHour tempHour) {
        this.tempHour = tempHour;
    }

    public TempDay getTempDay() {
        return tempDay;
    }

    public void setTempDay(TempDay tempDay) {
        this.tempDay = tempDay;
    }

    public HumiHour getHumiHour() {
        return humiHour;
    }

    public void setHumiHour(HumiHour humiHour) {
        this.humiHour = humiHour;
    }

    public HumiDay getHumiDay() {
        return humiDay;
    }

    public void setHumiDay(HumiDay humiDay) {
        this.humiDay = humiDay;
    }

    public PrecHour getPrecHour() {
        return precHour;
    }

    public void setPrecHour(PrecHour precHour) {
        this.precHour = precHour;
    }

    public PrecDay getPrecDay() {
        return precDay;
    }

    public void setPrecDay(PrecDay precDay) {
        this.precDay = precDay;
    }

    public IlluHour getIlluHour() {
        return illuHour;
    }

    public void setIlluHour(IlluHour illuHour) {
        this.illuHour = illuHour;
    }

    public IlluDay getIlluDay() {
        return illuDay;
    }

    public void setIlluDay(IlluDay illuDay) {
        this.illuDay = illuDay;
    }

    public CardbonHour getCardbonHour() {
        return cardbonHour;
    }

    public void setCardbonHour(CardbonHour cardbonHour) {
        this.cardbonHour = cardbonHour;
    }

    public CardbonDay getCardbonDay() {
        return cardbonDay;
    }

    public void setCardbonDay(CardbonDay cardbonDay) {
        this.cardbonDay = cardbonDay;
    }

    @Override
    public String toString() {
        return "EnvironDto{" +
                "aqiHour=" + aqiHour +
                ", aqiDay=" + aqiDay +
                ", tempHour=" + tempHour +
                ", tempDay=" + tempDay +
                ", humiHour=" + humiHour +
                ", humiDay=" + humiDay +
                ", precHour=" + precHour +
                ", precDay=" + precDay +
                ", illuHour=" + illuHour +
                ", illuDay=" + illuDay +
                ", cardbonHour=" + cardbonHour +
                ", cardbonDay=" + cardbonDay +
                '}';
    }
}

