package com.hywa.map.representation;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 相对湿度小时信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class HumiHour implements Serializable {

    private static final long serialVersionUID = 1L;
    private Object maxValue;//坐标值
    private List<Environ> humiH = new ArrayList<Environ>();//相对湿度小时

    public Object getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(Object maxValue) {
        this.maxValue = maxValue;
    }

    public List<Environ> getHumiH() {
        return humiH;
    }

    public void setHumiH(List<Environ> humiH) {
        this.humiH = humiH;
    }

    @Override
    public String toString() {
        return "HumiHour{" +
                "maxValue=" + maxValue +
                ", humiH=" + humiH +
                '}';
    }
}

