package com.hywa.map.representation;

import java.io.Serializable;
import java.util.List;

public class MapDomainLegendReps implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;

    /**
     * 显示id
     */
    private String id;
    /**
     * 提示
     */
    private String _caveat;
    /**
     * 地图key
     */
    private String amapkey;
    /**
     * 地图样式
     */
    private MapDomainMapRep map;
    /**
     * 图列样式
     */
    private List<MapDomainLegendRep> legend;
    /**
     * 浮动图标信息
     */
    private List<MapDomainCoverRep> covers;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String get_caveat() {
        return _caveat;
    }

    public void set_caveat(String _caveat) {
        this._caveat = _caveat;
    }

    public String getAmapkey() {
        return amapkey;
    }

    public void setAmapkey(String amapkey) {
        this.amapkey = amapkey;
    }

    public MapDomainMapRep getMap() {
        return map;
    }

    public void setMap(MapDomainMapRep map) {
        this.map = map;
    }

    public List<MapDomainLegendRep> getLegend() {
        return legend;
    }

    public void setLegend(List<MapDomainLegendRep> legend) {
        this.legend = legend;
    }

    public List<MapDomainCoverRep> getCovers() {
        return covers;
    }

    public void setCovers(List<MapDomainCoverRep> covers) {
        this.covers = covers;
    }

    @Override
    public String toString() {
        return "MapDomainLegendReps{" +
                "id='" + id + '\'' +
                ", _caveat='" + _caveat + '\'' +
                ", amapkey='" + amapkey + '\'' +
                ", map=" + map +
                ", legend=" + legend +
                ", covers=" + covers +
                '}';
    }
}


