package com.hywa.map.representation;

import java.io.Serializable;
import java.util.List;

public class MapDomainMapRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;

    /**
     * 样式
     */
    private String mapStyle;
    /**
     * 地理位置
     */
    private List<Double> center;
    /**
     * 缩放大小
     */
    private int zoom;

    public String getMapStyle() {
        return mapStyle;
    }

    public void setMapStyle(String mapStyle) {
        this.mapStyle = mapStyle;
    }

    public List<Double> getCenter() {
        return center;
    }

    public void setCenter(List<Double> center) {
        this.center = center;
    }

    public int getZoom() {
        return zoom;
    }

    public void setZoom(int zoom) {
        this.zoom = zoom;
    }

    @Override
    public String toString() {
        return "MapDomainMapRep{" +
                "mapStyle='" + mapStyle + '\'' +
                ", center=" + center +
                ", zoom=" + zoom +
                '}';
    }
}


