package com.hywa.map.representation;

import java.io.Serializable;

public class MapOrchardStatisRep implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 总种植面积
     */
    private String prodArea;
    /**
     * 总年产量
     */
    private String prodVol;
    /**
     * 社员人数
     */
    private String workerCount;
    /**
     * 园区总数
     */
    private String orchardCount;

    public String getProdArea() {
        return prodArea;
    }

    public void setProdArea(String prodArea) {
        this.prodArea = prodArea;
    }

    public String getProdVol() {
        return prodVol;
    }

    public void setProdVol(String prodVol) {
        this.prodVol = prodVol;
    }

    public String getWorkerCount() {
        return workerCount;
    }

    public void setWorkerCount(String workerCount) {
        this.workerCount = workerCount;
    }

    public String getOrchardCount() {
        return orchardCount;
    }

    public void setOrchardCount(String orchardCount) {
        this.orchardCount = orchardCount;
    }

    @Override
    public String toString() {
        return "MapOrchardStatisRep{" +
                "prodArea='" + prodArea + '\'' +
                ", prodVol='" + prodVol + '\'' +
                ", workerCount='" + workerCount + '\'' +
                ", orchardCount='" + orchardCount + '\'' +
                '}';
    }
}
