package com.hywa.map.representation;

import java.io.Serializable;

public class MapPwdRep implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private int id;
    /**
     * 口令类型 0-农业大数据大屏口令 1-人员监控大屏口令
     */
    private int pwdType;
    /**
     * 口令
     */
    private String pwd;
    /**
     * 状态 0-启用 1-禁用
     */
    private String state;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getPwdType() {
        return pwdType;
    }

    public void setPwdType(int pwdType) {
        this.pwdType = pwdType;
    }

    public String getPwd() {
        return pwd;
    }

    public void setPwd(String pwd) {
        this.pwd = pwd;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    @Override
    public String toString() {
        return "MapPwdRep{" +
                "id=" + id +
                ", pwdType=" + pwdType +
                ", pwd='" + pwd + '\'' +
                ", state='" + state + '\'' +
                '}';
    }
}
