package com.hywa.map.representation;

import java.io.Serializable;
import java.util.List;

public class NoticeReq implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String content;
    /**
     * 类型 1-新闻 2-通知 3-公告 9-红黑榜
     */
    private short noticeType;
    /**
     * 子类型
     */
    private String subType;
    /**
     * 状态 0-未发布 1-已发布 2-撤回
     */
    private short state;
    /**
     * 批次
     */
    private String batchNo;
    private List<String> ids;
    /**
     * 来源
     */
    private String origin;
    /**
     * 文件列表
     */
    private List<FileReq> files;
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public short getNoticeType() {
        return noticeType;
    }

    public void setNoticeType(short noticeType) {
        this.noticeType = noticeType;
    }

    public String getSubType() {
        return subType;
    }

    public void setSubType(String subType) {
        this.subType = subType;
    }

    public short getState() {
        return state;
    }

    public void setState(short state) {
        this.state = state;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    public String getOrigin() {
        return origin;
    }

    public void setOrigin(String origin) {
        this.origin = origin;
    }

    public List<FileReq> getFiles() {
        return files;
    }

    public void setFiles(List<FileReq> files) {
        this.files = files;
    }

    @Override
    public String toString() {
        return "NoticeReq{" +
                "id='" + id + '\'' +
                ", title='" + title + '\'' +
                ", content='" + content + '\'' +
                ", noticeType=" + noticeType +
                ", subType='" + subType + '\'' +
                ", state=" + state +
                ", batchNo='" + batchNo + '\'' +
                ", ids=" + ids +
                ", origin='" + origin + '\'' +
                ", files=" + files +
                '}';
    }
}
