package com.hywa.map.representation;

import java.io.Serializable;

/**
 * 果园列表信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class Park implements Serializable {

    private static final long serialVersionUID = 1L;
    private String orchardId;//果园id
    private String title;//果园全称
    private String plantArea;//种植面积
    private String assessValue;//价值评估
    private String fruiterName;//产品品种
    private String plantNum;//种植规模
    private String lng;//经度
    private String lat;//纬度
    private String altitude;//海拔
    private String household;//社员户数
    private String leadPerson;//园区负责人
    private String mobile;//电话
    private String tecName;//技服公司
    private String allAddress;//位置

    public String getOrchardId() {
        return orchardId;
    }

    public void setOrchardId(String orchardId) {
        this.orchardId = orchardId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPlantArea() {
        return plantArea;
    }

    public void setPlantArea(String plantArea) {
        this.plantArea = plantArea;
    }

    public String getAssessValue() {
        return assessValue;
    }

    public void setAssessValue(String assessValue) {
        this.assessValue = assessValue;
    }

    public String getFruiterName() {
        return fruiterName;
    }

    public void setFruiterName(String fruiterName) {
        this.fruiterName = fruiterName;
    }

    public String getPlantNum() {
        return plantNum;
    }

    public void setPlantNum(String plantNum) {
        this.plantNum = plantNum;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getAltitude() {
        return altitude;
    }

    public void setAltitude(String altitude) {
        this.altitude = altitude;
    }

    public String getHousehold() {
        return household;
    }

    public void setHousehold(String household) {
        this.household = household;
    }

    public String getLeadPerson() {
        return leadPerson;
    }

    public void setLeadPerson(String leadPerson) {
        this.leadPerson = leadPerson;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getTecName() {
        return tecName;
    }

    public void setTecName(String tecName) {
        this.tecName = tecName;
    }

    public String getAllAddress() {
        return allAddress;
    }

    public void setAllAddress(String allAddress) {
        this.allAddress = allAddress;
    }

    @Override
    public String toString() {
        return "Park{" +
                "orchardId='" + orchardId + '\'' +
                ", title='" + title + '\'' +
                ", plantArea='" + plantArea + '\'' +
                ", assessValue='" + assessValue + '\'' +
                ", fruiterName='" + fruiterName + '\'' +
                ", plantNum='" + plantNum + '\'' +
                ", lng='" + lng + '\'' +
                ", lat='" + lat + '\'' +
                ", altitude='" + altitude + '\'' +
                ", household='" + household + '\'' +
                ", leadPerson='" + leadPerson + '\'' +
                ", mobile='" + mobile + '\'' +
                ", tecName='" + tecName + '\'' +
                ", allAddress='" + allAddress + '\'' +
                '}';
    }
}

