package com.hywa.map.representation;

import com.hywa.map.dao.entity.SysDict;

import java.io.Serializable;

public class ProductTypeDictRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 农投品类型id
     */
    private String productTypeId;
    /**
     * 农投品类型名称
     */
    private String productTypeName;

    public ProductTypeDictRep(SysDict sysDict) {
        this.setProductTypeId(sysDict.getId());
        this.setProductTypeName(sysDict.getDictName());
    }

    public String getProductTypeId() {
        return productTypeId;
    }

    public void setProductTypeId(String productTypeId) {
        this.productTypeId = productTypeId;
    }

    public String getProductTypeName() {
        return productTypeName;
    }

    public void setProductTypeName(String productTypeName) {
        this.productTypeName = productTypeName;
    }

    @Override
    public String toString() {
        return "ProductTypeDictRep{" +
                "productTypeId='" + productTypeId + '\'' +
                ", productTypeName='" + productTypeName + '\'' +
                '}';
    }
}


