package com.hywa.map.representation;

import com.hywa.map.dao.entity.SysDict;

import java.io.Serializable;

public class SupplierDictRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 农投品供应商id
     */
    private String supplierId;
    /**
     * 农投品供应商名称
     */
    private String supplierName;

    public SupplierDictRep(SysDict sysDict) {
        this.setSupplierId(sysDict.getId());
        this.setSupplierName(sysDict.getDictName());
    }

    public String getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    @Override
    public String toString() {
        return "SupplierDictRep{" +
                "supplierId='" + supplierId + '\'' +
                ", supplierName='" + supplierName + '\'' +
                '}';
    }
}


