package com.hywa.map.representation;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 温度天信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class TempDay implements Serializable {

    private static final long serialVersionUID = 1L;
    private Object avgValue;//平均值
    private List<Environ> tempD = new ArrayList<Environ>();//温度天

    public Object getAvgValue() {
        return avgValue;
    }

    public void setAvgValue(Object avgValue) {
        this.avgValue = avgValue;
    }

    public List<Environ> getTempD() {
        return tempD;
    }

    public void setTempD(List<Environ> tempD) {
        this.tempD = tempD;
    }

    @Override
    public String toString() {
        return "TempDay{" +
                "avgValue=" + avgValue +
                ", tempD=" + tempD +
                '}';
    }
}

