package com.hywa.map.representation;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 温度小时信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class TempHour implements Serializable {

    private static final long serialVersionUID = 1L;
    private Object maxValue;//最大值
    private Object minValue;//最小值
    private List<Environ> tempH = new ArrayList<Environ>();//温度小时

    public Object getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(Object maxValue) {
        this.maxValue = maxValue;
    }

    public Object getMinValue() {
        return minValue;
    }

    public void setMinValue(Object minValue) {
        this.minValue = minValue;
    }

    public List<Environ> getTempH() {
        return tempH;
    }

    public void setTempH(List<Environ> tempH) {
        this.tempH = tempH;
    }

    @Override
    public String toString() {
        return "TempHour{" +
                "maxValue=" + maxValue +
                ", minValue=" + minValue +
                ", tempH=" + tempH +
                '}';
    }
}

