package com.hywa.map.representation;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 温度小时信息
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class TempHourRep implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 标题
     */
    private String title;
    /**
     * 最大值
     */
    private String maxValue;
    /**
     * 最小值
     */
    private String minValue;
    /**
     * 温度小时
     */
    private List<Environ> tempH = new ArrayList<Environ>();

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(String maxValue) {
        this.maxValue = maxValue;
    }

    public String getMinValue() {
        return minValue;
    }

    public void setMinValue(String minValue) {
        this.minValue = minValue;
    }

    public List<Environ> getTempH() {
        return tempH;
    }

    public void setTempH(List<Environ> tempH) {
        this.tempH = tempH;
    }

    @Override
    public String toString() {
        return "TempHourRep{" +
                "title='" + title + '\'' +
                ", maxValue='" + maxValue + '\'' +
                ", minValue='" + minValue + '\'' +
                ", tempH=" + tempH +
                '}';
    }
}

