package com.hywa.map.representation;

import com.hywa.map.dao.entity.TopicDb;
import com.hywa.map.dao.entity.TopicInfo;

import java.io.Serializable;
import java.util.List;

public class TopicDbRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 主键
     */
    private String id;
    /**
     * 数据库名称
     */
    private String dbName;
    /**
     * 备注
     */
    private String remark;

    public TopicDbRep(TopicDb entity) {
        this.setId(entity.getId());
        this.setDbName(entity.getDbName());
        this.setRemark(entity.getRemark());
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "TopicDbRep{" +
                "id='" + id + '\'' +
                ", dbName='" + dbName + '\'' +
                ", remark='" + remark + '\'' +
                '}';
    }
}


