package com.hywa.map.representation;

import com.hywa.map.dao.entity.TopicInfo;

import java.io.Serializable;
import java.util.List;

public class TopicInfoRep implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 主键
     */
    private String id;
    /**
     * 专题名称
     */
    private String topicName;
    /**
     * 专题所属目录id
     */
    private String topicPathId;
    /**
     * 专题说明
     */
    private String topicDesc;
    List<TopicIconRep> topicIcon;

    public TopicInfoRep(TopicInfo entity) {
        this.setId(entity.getId());
        this.setTopicName(entity.getTopicName());
        this.setTopicPathId(entity.getTopicPathId());
        this.setTopicDesc(entity.getTopicDesc());
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTopicName() {
        return topicName;
    }

    public void setTopicName(String topicName) {
        this.topicName = topicName;
    }

    public String getTopicPathId() {
        return topicPathId;
    }

    public void setTopicPathId(String topicPathId) {
        this.topicPathId = topicPathId;
    }

    public String getTopicDesc() {
        return topicDesc;
    }

    public void setTopicDesc(String topicDesc) {
        this.topicDesc = topicDesc;
    }

    public List<TopicIconRep> getTopicIcon() {
        return topicIcon;
    }

    public void setTopicIcon(List<TopicIconRep> topicIcon) {
        this.topicIcon = topicIcon;
    }

    @Override
    public String toString() {
        return "TopicInfoRep{" +
                "id='" + id + '\'' +
                ", topicName='" + topicName + '\'' +
                ", topicPathId='" + topicPathId + '\'' +
                ", topicDesc='" + topicDesc + '\'' +
                ", topicIcon=" + topicIcon +
                '}';
    }
}


