package com.hywa.map.representation;

import com.hywa.map.dao.entity.TopicTemplate;

import java.io.Serializable;

/**
 * t_topic_template_item 实体类 对应表名
 *
 * @author hywa
 * @create by 2019-05-13 16:54:05
 */
public class TopicTemplateRep implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 专题模版名称名称
     */
    private String templateName;
    /**
     * 备注
     */
    private String remark;

    public TopicTemplateRep(TopicTemplate entity) {
        this.setId(entity.getId());
        this.setTemplateName(entity.getTempName());
        this.setRemark(entity.getRemark());
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "TopicTemplateRep{" +
                "id='" + id + '\'' +
                ", templateName='" + templateName + '\'' +
                ", remark='" + remark + '\'' +
                '}';
    }
}

