package com.hywa.map.representation;

import java.io.Serializable;
import java.util.List;

public class UserAdviceRep implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private String id;
    /**
     * 反馈类型 0-功能异常 1-体验问题 2-新功能建议 3-其他
     */
    private String adviceType;
    /**
     * 内容
     */
    private String content;
    /**
     * 创建时间
     */
    private String createDate;
    /**
     * 附件
     */
    private List<String> fileUrl;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAdviceType() {
        return adviceType;
    }

    public void setAdviceType(String adviceType) {
        this.adviceType = adviceType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<String> getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(List<String> fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    @Override
    public String toString() {
        return "UserAdviceRep{" +
                "id='" + id + '\'' +
                ", adviceType='" + adviceType + '\'' +
                ", content='" + content + '\'' +
                ", createDate='" + createDate + '\'' +
                ", fileUrl=" + fileUrl +
                '}';
    }
}
