package com.hywa.map.representation;

import java.io.Serializable;
import java.util.List;

public class ViewTemplate implements Serializable {

    private static final long serialVersionUID = -4963266899668807475L;
    /**
     * 显示标题
     */
    private String viewTitle;
    /**
     * 显示列表
     */
    private List<CommonViewRep> viewList;

    public String getViewTitle() {
        return viewTitle;
    }

    public void setViewTitle(String viewTitle) {
        this.viewTitle = viewTitle;
    }

    public List<CommonViewRep> getViewList() {
        return viewList;
    }

    public void setViewList(List<CommonViewRep> viewList) {
        this.viewList = viewList;
    }

    @Override
    public String toString() {
        return "ViewTemplate{" +
                "viewTitle='" + viewTitle + '\'' +
                ", viewList=" + viewList +
                '}';
    }
}


