package com.hywa.map.representation;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 获取天气信息 实体类
 *
 * @author hywa
 * @create by 2018-08-06 15:02:49
 */
public class WeatherForecast implements Serializable {

    private static final long serialVersionUID = 1L;
    private String cityCode;
    private TodayWeather todayWeather;
    private List<CastWeather> castWeather = new ArrayList<CastWeather>();

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public TodayWeather getTodayWeather() {
        return todayWeather;
    }

    public void setTodayWeather(TodayWeather todayWeather) {
        this.todayWeather = todayWeather;
    }

    public List<CastWeather> getCastWeather() {
        return castWeather;
    }

    public void setCastWeather(List<CastWeather> castWeather) {
        this.castWeather = castWeather;
    }

    @Override
    public String toString() {
        return "WeatherForecast{" +
                "cityCode='" + cityCode + '\'' +
                ", todayWeather=" + todayWeather +
                ", castWeather=" + castWeather +
                '}';
    }
}

