package com.hywa.map.representation.ext;

import com.hywa.map.representation.UserRep;
import java.io.Serializable;
import java.util.List;
import lombok.ToString;

@ToString
public class UserRepExt extends UserRep implements Serializable {

    private static final long serialVersionUID = -7613694354941856913L;

    //角色信息
    private List<String> roles;
    //角色id信息
    private String roleIds;

    //省id
    private String provinceId;

    private String provinceName;

    //市id
    private String cityId;

    private String cityName;

    //区id
    private String countyId;

    private String countyName;

    private String createUser;
    //机构id
    private String branchId;

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCountyId() {
        return countyId;
    }

    public void setCountyId(String countyId) {
        this.countyId = countyId;
    }

    public List<String> getRoles() {
        return roles;
    }

    public void setRoles(List<String> roles) {
        this.roles = roles;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public String getBranchId() {
        return branchId;
    }

    public void setBranchId(String branchId) {
        this.branchId = branchId;
    }

    public String getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(String roleIds) {
        this.roleIds = roleIds;
    }
}


