package com.hywa.map.service.login;

import com.hywa.map.dao.entity.Role;
import com.hywa.map.representation.RoleRep;
import com.hywa.map.representation.RoleReps;

public interface RoleService {

    void save(RoleRep roleRep);

    int update(RoleRep roleRep);

    void delete(String id);

    RoleReps selectAll(String name,String flag);

    RoleReps selectRolesByUserId(int pageNo, int pageSize, String userId);
    
	boolean nameIsEmpty(String name, String id);
	
	RoleRep findById(String id);

    RoleReps selectRolesByArea(int pageNo, int pageSize, String userId,String regionType);

    Role selectByPrimaryKey(String id);
}
