package com.hywa.map.service.login.impl;

import com.hywa.map.dao.entity.UserArea;
import com.hywa.map.dao.entity.UserAreaExample;
import com.hywa.map.dao.mapper.UserAreaMapper;
import com.hywa.map.service.login.UserAreaService;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UserAreaServiceImpl implements UserAreaService {

    @Autowired
    private UserAreaMapper userAreaMapper;

    @Override
    public String findRegionId(String userId) {
        UserAreaExample example = new UserAreaExample();
        example.createCriteria().andUserIdEqualTo(userId);
        UserArea userArea = userAreaMapper.selectByExample(example).get(0);
        return userArea.getRegionId();
    }

    @Override
    public UserArea findByUserId(String userId) {
        UserAreaExample example = new UserAreaExample();
        example.createCriteria().andUserIdEqualTo(userId);
        List<UserArea> userAreas = userAreaMapper.selectByExample(example);
        UserArea userArea = userAreas.get(0);
        return userArea;
    }
}
