package com.hywa.map.service.notice;

import com.hywa.map.representation.NoticeRep;
import com.hywa.map.representation.NoticeReps;
import com.hywa.map.representation.NoticeReq;

/**
* t_web_notice  对应ServiceInterface 接口类
* @create by 2019-02-18 14:53:53
* @author hywa
*/ 
public interface NoticeService {
    int save(NoticeReq reqInfo, String userId);
    int update(NoticeReq reqInfo, String userId);
    int delete(NoticeReq reqInfo, String userId);
    int publish(NoticeReq reqInfo, String userId);
    int publishSingle(NoticeReq reqInfo, String userId);
    NoticeRep selectById(String id);
    NoticeReps selectAll(int pageNo, int pageSize, String queryParam,String beginDate, String endDate,String noticeType,String state);
    int saveBlack(NoticeReq reqInfo, String userId);
    int updateBlack(NoticeReq reqInfo, String userId);
    NoticeReps selectBlackAll(int pageNo, int pageSize, String queryParam,String beginDate, String endDate,String noticeType,String state);
}

