package com.hywa.map.service.topic;

import com.hywa.map.representation.*;

/**
 * t_topic_info  对应ServiceInterface 接口类
 *
 * @author hywa
 * @create by 2019-05-10 13:50:25
 */
public interface TopicInfoService {
    TopicInfoReps selectTopicInfo(int pageNo, int pageSize, String topicName);

    ViewTemplateReps selectTopicDetail(String id,String areaName);

    TopicTemplateReps selectTopicTemplate();

    ViewTemplateReps selectTopicModel(String id);
    TopicDbReps selectDb(int pageNo, int pageSize);
    TopicDbItemReps selectDbItem(int pageNo, int pageSize, String dbId);

    TopicDbFieldReps selectDbField(String itemId);
    TopicTemplateFieldReps selectTemplateField(String templateId);

    TopicSaveRep saveTopicInfo(TopicInfoReq reqInfo,String userId);

    void updateTopicInfo(TopicInfoReq reqInfo,String userId);

    void deleteTopicInfo(TopicInfoReq reqInfo,String userId);

    TopicDetailRep selectTopicInfoById(String id);
}

